=== ChangeLog discontinued ===

2009-04-06  Brian Cameron <brian.cameron@sun.com> 

	Bug 397544 – Numeric is no longer maintained
	
	* gtk/gdkpixbuf.override: Fix numpy import.

2009-04-06  Josselin Mouette  <joss@debian.org>

	Bug 397544 – Numeric is no longer maintained
	
	* gtk/gdk.override:
	* configure.ac:
	* setup.py:
	* README: Update pygtk to use numpy instead of Numeric.

2009-04-06  Gian Mario Tagliaretti  <gianmt@gnome.org>

	Bug 447388 – pixbuf.get_pixels_array() doesn't correctly flag the array
	as non-contiguous
	
	* gtk/gdkpixbuf.override: Revert this commit since it doesn't work
	with numpy and we are going to ship 2.15.0 with numpy support.
	Reopening the bug asking Tim Evens if he can fix the patch.

2009-03-30  Tobias Mueller  <tobiasmue@gnome.org>

	* pango.override:
	* atkrectangle.override:
	* ltihooks.py:
	* gtk/libglade.override:
	* gtk/gdkcolor.override:
	* gtk/gdk.override:
	* gtk/deprecation.py:
	* gtk/__init__.py:
	* gtk/_lazyutils.py:
	* gtk/gdkdraw.override:
	* gtk/gtk.override:
	* gtk/gtkcontainer.override:
	* gtk/gtkwidget.override:
	* gtk/gtkobject-support.c:
	* gtk/gtkiconview.override:
	* gtk/gtk-types.c:
	* gtk/gtkbuilder.override:
	* gtk/gdkwindow.override:
	* gtk/gtktreeview.override:
	* gtk/pygtktreemodel.c:
	* gtk/gtkunixprint.override:
	* gtk/gtkstyle.override:
	* gtk/gdkevent.override:
	* gtk/pygtktreemodel.h:
	* gtk/gtkctree.override:
	* gtk/libglademodule.c:
	* gtk/gtkwindow.override:
	* gtk/keysyms.py:
	* gtk/gdkgc.override:
	* gtk/gtkunixprintmodule.c:
	* gtk/gdkpixbuf.override:
	* gtk/gdkcairo.override:
	* gtk/gtkclist.override:
	* gtk/gtktextview.override:
	* gtk/pygtkcellrenderer.c:
	* gtk/gdkrectangle.override:
	* gtk/compat.py:
	* gtk/pygtkcellrenderer.h:
	* gtk/gtkmodule.c:
	* pangomodule.c:
	* atk.override:
	* COPYING:
	* pangocairomodule.c:
	* atkmodule.c:
	Update the address of the FSF by replacing old bits with new ones.
	Fixes bug 577154.

2009-03-25  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtkbuilder.override: Wrap gtk_builder_add_objects_from_string
	and gtk_builder_add_objects_from_file, add a convenience function
	pylist_to_strv which gets a list of strings and returns an array.

2009-03-20  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gdk-2.16.defs:
	* gtk/gtk-2.16.defs:
	* gtk/gtk-2.16-types.defs:
	* configure.ac:
	* gtk/Makefile.am: Add GTK+ 2.16 API

2009-03-07  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtkiconview.override:
	wrap gtk.IconView.convert_widget_to_bin_window_coords()

2009-03-07  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gdk-base.defs: gtk.gdk.selection_owner_set_for_display() should
	accept None for GdkWindow.

2009-03-07  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gdk-2.14.defs: add gtk.gdk.Window.redirect_to_drawable()

2009-03-04  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gdk-2.14.defs: gdk.AppLaunchContext.set_icon_name should accept
	None for icon_name.

2009-03-04  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gdk-2.14.defs: gdk.AppLaunchContext.set_icon should accept
	None for icon.

2009-03-01  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-2.14.defs: gtk.Tooltip.set_icon_from_icon_name should accept
	None for icon_name.

2009-02-28  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-2.14-types.defs: add GtkNumberUpLayout enum

2009-02-28  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-2.14.defs: add gtk.PrintSettings.[get|set]_number_up_layout
	which were forgotten in the last release.

2009-02-27  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-2.14.defs: gtk.show_uri should accept None for screen.

2009-02-27  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-2.14.defs: gtk.MountOperation set the default parent window
	in constructor to None.

2009-02-26  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-2.14.defs: deprecate gtk.FontSelectionDialog.get_apply_button()

2009-02-22  Gian Mario Tagliaretti  <gianmt@gnome.org>

	Bug 311008 – pygtk-demo fixes
	
	* examples/pygtk-demo/pygtk-demo.py: Apply a patch from Andi Albrecht.
	
	* examples/pygtk-demo/demos/pixbufs.py: Remove deprecation Warnings.

2009-02-22  Gian Mario Tagliaretti  <gianmt@gnome.org>

	Bug 309180 – gtk.MessageDialog exposes private attributes

	* gtk/gtk.override: add deprecation warnings using private attributes.

2009-02-22  Gian Mario Tagliaretti  <gianmt@gnome.org>

	Bug 447388 – pixbuf.get_pixels_array() doesn't correctly flag the array
	as non-contiguous
	
	* gtk/gdkpixbuf.override: Fix the rowstride for pixbuf with padded rows.
	Patch from Tim Evans

2009-02-20  James Henstridge  <james@jamesh.id.au>

	* ltihooks.py: relicense file from GPL to LGPL 2.1 for benefit of
	pygst.  Not sure why I used a GPL header to start with.

2009-02-15  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-base.defs: Fix a small typo.

2009-02-15  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-base.defs: Add deprecation warnings to the old gtk.Tooltips

2009-02-01  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/gtktextview.override
	(_wrap_gtk_text_buffer_register_deserialize_format): Return the
	deserialized string as a new memory buffer.  Closes #567747.
	(_wrap_gtk_text_buffer_serialize): We must free the original
	deserialized string buffer (caller owns return).

2009-01-31  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* NEWS: update to reflect 2.14 branch

2009-01-30  Gian Mario Tagliaretti  <gianmt@gnome.org>

	Bug 563717 – GNOME Goal: Clean up GLib and GTK+ includes

	* gtk/gtk.override:
	* gtk/gtkunixprint.override:
	* gtk/pygtktreemodel.h:
	* gtk/gtkunixprintmodule.c:
	* gtk/pygtkcellrenderer.h: Clean up GLib and GTK+ includes,
	patch from Przemysław Grzegorczyk.

2009-01-28  Gian Mario Tagliaretti  <gianmt@gnome.org>

	Bug 566493 – gtk_accel_groups_activate is not available

	* gtk.override: clean up ignore section which contains lots of methods
	that don't exist while closing the bug by removing
	(gtk_accel_groups_activate) from ignore.

=== PyGTK 2.14.0 ===
2009-01-28  Gian Mario Tagliaretti  <gianmt@gnome.org>

	Bug 556130 – bogus override of python includes in configure.ac

	* configure.ac: Don't override PYTHON_INCLUDES, it's already set
	by AM_CHECK_PYTHON_HEADERS patch by Loïc Minier.

2009-01-27  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* configure.ac: version bump to 2.15.0.

2008-12-02  Paul Pogonyshev  <pogonyshev@gmx.net>

	Bug 562991 – memory leak in gdk.draw_indexed_image

	* gtk/gdkdraw.override (_wrap_gdk_draw_indexed_image): Free
	`colors' array.

2008-12-01  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/Makefile.am:
	* gtk/gtkunixprint-2.12.defs:
	* gtk/gtkunixprint-2.14.defs:
	* gtk/gtkunixprint-base-types.defs:
	* gtk/gtkunixprint-base.defs:
	* gtk/gtkunixprint.defs: split gtkunixprint defs in order to support
	multiple gtk versions.

2008-09-12  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* configure.ac: remove pygobject version check for gtk+ 2.14

2008-09-11  Paul Pogonyshev  <pogonyshev@gmx.net>

	* configure.ac: PyGObject 2.15.5 is required to compile pygtk
	2.14.

2008-09-11  Michiel de Hoon  <mjldehoon@yahoo.com>

	Bug 524327 – Interactive PyGTK

	* gtk/gtk.override (_main_quit, _loop, _wrap_set_interactive): New
	functions.

	* gtk/__init__.py: Make PyGTK interactive.

2008-09-11  Paul Pogonyshev  <pogonyshev@gmx.net>

	Bug 481715 – Need way to assign to a GtkTextIter

	* gtk/gtktextview.override (_wrap_gtk_text_iter_assign): New
	function (based on patch by Owen Taylor).

	* tests/test_textview.py (TextIterTest): New test.

2008-09-10  Paul Pogonyshev  <pogonyshev@gmx.net>

	Bug 550442 – gdk.c:19188: error: ‘GDK_TYPE_APP_LAUNCH_CONTEXT’
	undeclared (first use in this function)

	* gtk/gdk.override: Include <gdk/gdk.h> itself.

2008-09-09  Paul Pogonyshev  <pogonyshev@gmx.net>

	Bug 551505 – set_parent_window(None) should work

	* gtk/gtk-base.defs (gtk.Widget.set_parent_window): Accept None
	too.

2008-09-09  Paul Pogonyshev  <pogonyshev@gmx.net>

	Bug 539475 – gtk.gdk.threads_(enter|leave) promote dead-lock-prone
	synchronization

	* gtk/__init__.py (gdk.lock): New context manager.

2008-09-08  Paul Pogonyshev  <pogonyshev@gmx.net>

	Bug 550754 – need to import GIO types from PyGObject package

	* configure.ac: Determine if `gio-types.defs' is installed as part
	of PyGObject.

	* gtk/Makefile.am: Use it to register GIO types if installed.

	* gtk/gdk.override: Make gio.AppLaunchContext import conditional.
	Add conditional import of gio.Icon.

	* gtk/gtk.override: Make gio.MountOperation import conditional.
	Add conditional imports of gio.File and gio.Icon.

2008-09-02  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-2.14.defs: comment out for a while gtk_selection_data_get_data
	waiting to fix a problem in codegen.

2008-09-01  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* configure.ac: require GTK+ 2.13.8 for pygtk 2.14

	* gtk/gtk-2.14.defs: update with latest API changes in GTK+

2008-09-01  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* configure.ac: require pygobject 2.15.4 for pygtk 2.14

2008-09-01  Gian Mario Tagliaretti  <gianmt@gnome.org>

	Bug 309554 – gtk.Widget.list_accel_closures not wrapped

	* gtk/gtkwidget.override:
	* tests/Makefile.am:
	* tests/test_accel_closures.py: Wrap gtk_widget_list_accel_closures
	patch from Gustavo Carneiro.

2008-08-31  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/pygtktreemodel.c: Remove compiler warnings.

2008-08-28  Paul Pogonyshev  <pogonyshev@gmx.net>

	Bug 541476 – Update pango examples

	* examples/pango/utf8-demo.py: Fix interpreter line.  Replace all
	escapes with corresponding characters.  Use gtk.main_quit()
	instead of deprecated gtk.mainquit().

	* examples/pango/extentdemo.py: Fix interpreter line.

2008-08-28  Paul Pogonyshev  <pogonyshev@gmx.net>

	Bug 529623 – TypeError not raised when setting gtk.TreeView
	adjustment property to None

	* gtk/gtk-base.defs (gtk.ScrolledWindow.set_hadjustment): Allow
	the argument to be None.
	(gtk.ScrolledWindow.set_vadjustment): Likewise.

2008-08-28  Paul Pogonyshev  <pogonyshev@gmx.net>

	Bug 526189 – add __str__ and/or __repr__ to several types

	* gtk/gdk.override (_wrap_gdk_cursor_tp_repr): New function.

	* gtk/gdkcolor.override (pygdk_color_to_string_smart)
	(_wrap_gdk_color_tp_repr, _wrap_gdk_color_tp_str): New functions.

	* gtk/gdkevent.override (_wrap_gdk_event_tp_repr): New function.

	* gtk/gdkrectangle.override (_wrap_gdk_rectangle_tp_repr): New
	function.

	* tests/test_color.py (Tests.test_repr, Tests.test_str): New tests.
	(Tests._test_color_list): New helper method.

	* tests/test_rectangle.py (Tests.test_repr): New test.
	(Tests._test_rectangle_list): New helper method.

2008-08-28  Paul Pogonyshev  <pogonyshev@gmx.net>

	Bug 534658 – Avoid warning when compiling against Python 2.5 or
	older

	* gtk/gtk.override (pygtk_main_watch_prepare): Avoid GCC warning.

2008-08-26  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-2.14.defs: Include latest 2.14 API added in GTK+ itself.

2008-08-25  Paul Pogonyshev  <pogonyshev@gmx.net>

	Bug 548602 – C-isms in pango.FontDescription

	* pango.defs (pango.FontDescription.copy_static)
	(pango.FontDescription.set_family_static)
	(pango.FontDescription.merge_static): Deprecate.

2008-08-24  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* configure.ac: post release version bump.

=== PyGTK 2.13.0 ===
2008-08-24  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* NEWS: updated.

	* README: updated.

2008-08-24  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* tests/test_treeview.py: Comment out test_default_attributes until
	we get a response on bugs #546005 and #498010.

2008-08-24  Paul Pogonyshev  <pogonyshev@gmx.net>

	* gtk/gtk-base.defs (gtk.Toolbar.set_icon_size)
	(gtk.Toolbar.unset_icon_size): Undeprecate based on the same move
	in GTK+ itself (see bug #314172).

2008-08-24  Paul Pogonyshev  <pogonyshev@gmx.net>

	Bug 548180 – install compatibility symlink for pygtk-codegen-2.0

	* pygtk-codegen-2.0.in: New file.

	* configure.ac:
	* Makefile.am: Hook it up.

2008-08-21  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* NEWS: Updated.

2008-08-21  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* docs/Makefile.am: Fix a problem with distcheck and avoid including
	.svn dir in the resulting tarball.

2008-08-18  Gian Mario Tagliaretti  <gianmt@gnome.org>

	Bug 548312 – gtk_font_selection_get_family_entry and
	gtk_font_selection_get_face_entry are gone

	* gtk/gtk-2.14.defs: remove gtk_font_selection_get_family_entry and
	gtk_font_selection_get_face_entry since they are gone in GTK+ itself.
	Patch by Björn Lindqvist.

2008-08-18  Gian Mario Tagliaretti  <gianmt@gnome.org>

	Bug 548349 – gtk_widget_get_snapshot(NULL) is allowed

	* gtk/gtk-2.14.defs: (gtk.Widget.get_snapshot) Accept None and
	default to None. Reported by Björn Lindqvist.

2008-08-09  Paul Pogonyshev  <pogonyshev@gmx.net>

	* gtk/gtk-base.defs (gtk.CellViewset_background_color): Accept
	None (bug #546733).

2008-08-03  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-2.14.defs: rename gtk_window_get_default to
	gtk_window_get_default_widget see #65818.

	* configure.ac: GTK+ 2.13.6 is required to compile pygtk.

2008-08-02  Paul Pogonyshev  <pogonyshev@gmx.net>

	Bug 527212 – types with well-defined equality semantics are not
	properly comparable

	* gtk/gdk.override (_wrap_pygdk_region_tp_richcompare): New
	function.

	* gtk/gdkcolor.override (_wrap_gdk_color_tp_richcompare): New
	function.

	* gtk/gdkrectangle.override (_wrap_gdk_rectangle_tp_richcompare):
	New function.

	* tests/test_conversion.py (testColorCreation): Move to thematic
	test file.

	* tests/Makefile.am:
	* tests/test_color.py:
	* tests/test_rectangle.py: Two new test files.

2008-07-29  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* configure.ac: pygobject 2.15.3 is required to compile pygtk 2.14.

2008-07-26  Paul Pogonyshev  <pogonyshev@gmx.net>

	* gtk/gtkbuilder.override (PyGCustomSignalNotify): Add
	'missing_handlers' (Python list) and 'exception_pending' (boolean)
	fields.
	(connect_many, _wrap_gtk_builder_connect_signals): Warn user on
	missing handlers and set/modify new fields as appropriate (bug
	#543768).

2008-07-15  Johan Dahlin  <johan@gnome.org>

	* configure.ac: rename from configure.in

2008-07-26  Gian Mario Tagliaretti  <gianmt@gnome.org>

	Bug 544777 – Add GTK+ 2.14 API in PyGTK

	* gtk/gdk.override:
	* gtk/gtk.override:
	* gtk/gdk-2.14.defs:
	* gtk/gtk-2.14.defs:
	* gtk/gtk-2.14-types.defs:
	* gtk/gdk-base-types.defs:
	* gtk/Makefile.am: Add GTK+ 2.14 API

	* configure.in: Bump version to 2.13.0.

2008-07-19  Paul Pogonyshev  <pogonyshev@gmx.net>

	* docs/Makefile.am (EXTRA_DIST): Don't include full directories:
	that drags in the '.svn's in them (bug #530142).

2008-07-15  Johan Dahlin  <johan@gnome.org>

	* gtk/libglade.override:
	modulename should be gtk.glade, not just glade.
	Spotted by pychecker.

2008-07-14  Paul Pogonyshev  <pogonyshev@gmx.net>

	* gtk/gtk-base.defs (gtk.CellRenderer.do_start_editing): Mark
	return value as optional (bug #542583).

	bug 542821:

	* codegen: Remove directory, we will use PyGObject's codegen from
	now on.

	* configure.in: Remove local codegen mentions.
	(CODEGENDIR): New AC_SUBST: determine where installed PyGObject's
	codegen is.

	* Makefile.am:
	* gtk/Makefile.am: Remove local codegen mentions and use
	'CODEGENDIR' instead.

	* MANIFEST.in:
	* pygtk.spec.in:
	* setup.py: Remove all mentions of codegen.

	* pygobject-2.0.pc.in: Remove file (unused).

	* pygtk-2.0.pc.in: Change 'codegendir' to refer to PyGObject's
	codegen.

2008-07-08  Murray Cumming  <murrayc@murrayc.com>

	* codegen/h2def.py: clean_func(): Strip GSEAL out, to avoid
	us thinking that there are many functions called GSEAL.

2008-06-26  Paul Pogonyshev  <pogonyshev@gmx.net>

	* gtk/gtk.override (_wrap_gtk_plug_new): Fix to work also with
	integer 'socket_id' argument (bug #539365).

	* tests/Makefile.am:
	* tests/test_plug.py: New test file.

	* gtk/gtk-2.12.defs (gtk.Builder.add_from_string): Explain why
	'length' is preserved in definition, but not mentioned in docs.

2008-06-24  Paul Pogonyshev  <pogonyshev@gmx.net>

	* gtk/gtktreeview.override (_wrap_gtk_tree_model_tp_getitem): Fix
	logic in negative index branch to avoid refcount corruption.
	(_wrap_gtk_tree_model_tp_setitem): Likewise (bug #537459).

	* tests/test_liststore.py (ListStoreTest.testNegativeIndexGet)
	(ListStoreTest.testNegativeIndexSet): Two new tests for the bug.

2008-06-23  Gian Mario Tagliaretti  <gianmt@gnome.org>

	Bug 539743 – Missing method gtk.IconView.get_tooltip_context

	* gtk/gtk.override: wrap gtk.IconView.get_tooltip_context

	* examples/pygtk-demo/demos/tooltip.py: use the above method.

2008-06-22  Paul Pogonyshev  <pogonyshev@gmx.net>

	* gtk/gtk.override (_wrap_gtk_action_set_menu_item_type)
	(_wrap_gtk_action_set_tool_item_type): Check that argument is a
	subclass of gtk.MenuItem or gtk.ToolItem correspondingly (bug
	#533644).

	* tests/test_actiongroup.py (ActionTest.testSetItemClasses): New
	test for the added type check.

2008-06-22  Gian Mario Tagliaretti  <gianmt@gnome.org>

	Bug 530145 – Missing method gtk.TreeView.get_tooltip_context

	* gtk/gtk.override: wrap gtk.TreeView.get_tooltip_context

	* examples/pygtk-demo/demos/tooltip.py: use the above method.

2008-06-21  Paul Pogonyshev  <pogonyshev@gmx.net>

	* gtk/gtk.override (_wrap_gtk_button_new): Fix 'use_underline'
	being ignored if neither 'text' nor 'stock' is set (bug #524187).

	* tests/Makefile.am:
	* tests/test_button.py: New test file.

2008-06-10  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk.override: wrap gtk.show_about_dialog()
	fixes (bug #167603) patch from Christopher Aillon.

2008-06-09  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* tests/Makefile.am:
	* tests/test_filechooserdialog.py: New test

	* gtk/gtk.override: Add a gtk.FileChooserDialog get_action method to
	workaround an issue with the same mothos of gtk.Widget being called.
	fixes (bug #534042).

2008-06-06  Johan Dahlin  <johan@gnome.org>

	* gtk/gtk-base.defs: Deprecate gtk.FileSelection

2008-06-06  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* examples/Makefile.am: Ship tooltip.py example in pygtk-demo.

2008-06-06  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-1.12.defs: Allow None in gtk.recent_action_new_for_manager
	params.

2008-06-06  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-1.12.defs: Allow None in gtk.RecentAction constructor params,
	fixes (bug #536882).

2008-06-01  Björn Lindqvist  <bjourne@gmail.com>

	* docs/Makefile.am: Move CSS_DATA variable inside the if
	ENABLE_DOCS block. Makes make work if --enable-docs=no is
	specified and pygobject docs are not available. (bug #536077)

2008-05-20  Owen Taylor  <otaylor@redhat.com>

	* gtk/gtk.override: Allocate the right amount of memory
	for PySignalWatchSource, fixing memory corruption.
	(bug #534083)

2008-05-18  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* examples/Makefile.am:
	* examples/pygtk-demo/demos/textscroll.py: add new example
	by Muntyan, fixes (bug #522047).

2008-05-18  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gdk-base.defs: gtk.gdk.DragContext.set_icon_widget allow mask
	parameter to be NULL, fixes (bug #497781).

2008-05-08  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-2.12.defs: wrap gtk_widget_set_has_tooltip,
	fixes (bug #524987).

2008-05-02  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gdk-2.12.defs: wrap gdk_notify_startup_complete_with_id,
	fixes (bug #454985).

2008-05-02  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-2.12.defs: wrap set_tip_area of gtk.Tooltip,
	fixes (bug #485171).

2008-05-02  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-base-types.defs: Wrap region field for expose event,
	fixes (bug #495933).

2008-05-02  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-base-types.defs: wrap gtk.Border fields,
	fixes (bug #484030).

2008-05-02  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-base-types.defs: wrap the requisition field of gtk.Widget,
	fixes (bug #369311).

2008-05-02  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gdkevent.override: wrap is_modifier for key press/release,
	fixes (bug #367970).

2008-05-02  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gdkcairo.override: cairo_set_source_pixmap should accept any
	drawable not just pixmaps, fixes (bug #491256).

2008-05-01  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gdk.override: Wrap gdk_region_get_rectangles,
	(bug #517099).

2008-04-27  Paul Pogonyshev  <pogonyshev@gmx.net>

	* gtk/gdkcolor.override (_wrap_gdk_color_new): Add constructor
	variant similar to what gtk.gdk.color_parse() done.  Raise with
	useful message in case of wrong arguments (bug #527718).

	* tests/test_conversion.py (Tests.testColorCreation): Test the new
	constructor with string argument.

2008-04-15  Johan Dahlin  <jdahlin@async.com.br>

	patch by: Johan Euphrosine <proppy@aminche.com>

	* configure.in:
	Unbreak pango/cairo dependency chains (bug #528217)

2008-03-24  Paul Pogonyshev  <pogonyshev@gmx.net>

	* gtk/gdkevent.override (_wrap_gdk_event_tp_setattr): Fix several
	bugs wrt 'y_root' caused by copy-paste (bug #519631).

2008-02-14  Johan Dahlin  <jdahlin@async.com.br>

	* examples/Makefile.am:
	* examples/gtk/application.py:
	Add an application example, which includes hoovering statusbar
	updates using a ui manager.

2008-02-06  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtk/gdk.override:
	* gtk/gdk-base.defs: Create instance of GdkScreen using
	gdk_screen_get_default() to avoid segfault. Fix #444974.

2008-02-01  Paul Pogonyshev  <pogonyshev@gmx.net>

	* gtk/gdkpixbuf.override (_wrap_gdk_pixbuf_save): Detach from
	Python interpreter while saving, which can take a long time.

2008-01-31  Nathaniel Smith  <njs@pobox.com>

	* examples/gtk/scrollable.py (Layout.do_realize, Layout.do_map):
	Use conceptually correct set_flags() calls.

	* examples/gtk/widget.py (PyGtkWidget.do_realize): Likewise.

2007-01-29  Olivier Crete  <tester@tester.ca>

	* codegen/h2def.py (DefsWriter.__init__): Fix copy-paste typos.

2008-01-29  Paul Pogonyshev  <pogonyshev@gmx.net>

	* gtk/gtk-base.defs (insert_action_group): Add default value of -1
	to `pos' argument.

2008-01-06  Johan Dahlin  <johan@gnome.org>

	* gtk/gtk-2.12.defs (GtkBuilder.add_from_string): Set the default
	length to -1.

2008-01-03  Johan Dahlin  <johan@gnome.org>

	* configure.in: Post release version bump

=== PyGTK 2.12.1 ===
2008-01-03  Johan Dahlin  <johan@gnome.org>

	* NEWS: Update

	* configure.in:
	* gtk/gtk.override (pygtk_main_watch_prepare):
	Port PyGObject patch from #481569 over to PyGTK, this avoids
	unnecessary wakeups every 100ms.

2007-12-16  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* examples/pygtk-demo/demos/changedisplay.py: Fix change display demo,
	patch by Yevgen Muntyan. fixes #354896.

2007-12-16  Paul Pogonyshev  <pogonyshev@gmx.net>

	* gtk/gtk-base.defs (get_cell_area): Accept null `column' (fixes
	#358091).

2007-12-16  Guillaume Cottenceau  <gcottenc@gmail.com>

	* gtk/gdk-base.defs (flip): Add `caller-owns-return'.

2007-12-15  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* examples/pango/extentdemo.py: add new example (by Adam Olsen,
	and Behdad Esfahbod), fixes #400810.

2007-12-13  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gdk-base.defs:
	(pixbuf_new_from_file)
	(pixbuf_new_from_file_at_size): release the GIL, fixes #415611
	patch by Jakub Stachowski

2007-12-12  Ed Catmur  <ed@catmur.co.uk>

	* Makefile.am (EXTRA_DIST): Also distribute m4 files.

2007-12-12  Sebastien Bacher  <seb128@debian.org>

	* examples/glade/README: Fix wrong command name.

2007-12-12  Richard Hult  <richard@imendio.com>

	* examples/pygtk-demo/demos/hypertext.py
	(HypertextDemo.key_press_event): Use `gtk.keysyms', not `gtk.gdk'
	where applicable.

2007-12-10  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/gtk-base.defs (render_icon): Bug 502871:
	gtk.Style.render_icon leaks a reference to the returned pixbuf.

2007-11-29  Dan Winship  <danw@gnome.org>

	* codegen/defsgen.py (GType): GType is a gulong, not a guint.
	Fixes crash on x86_64. #500508

2007-11-25  Matthew Barnes  <mbarnes@redhat.com>

	* gtk/Makefile.am: Install gtk-extrafuncs.defs.  Fixes #380020.

2007-11-16  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtk/gtk-base.defs: Add several `null-ok' for accel-related
	functions.

2007-11-13  Yevgen Muntyan  <muntyan@tamu.edu>

	* gtk/gtkcontainer.override: (_wrap_GtkContainer__proxy_do_forall):
	do not leak allocated user data. Fixes #480306, patch by Mark Doffman.

2007-11-12  Yevgen Muntyan  <muntyan@tamu.edu>

	* autogen.sh: use absolute path of srcdir; and use it in ACLOCAL_FLAGS.

2007-11-03  Julien Moutinho  <julien.moutinho@gmail.com>

	* gtk/gtk.override (_wrap_gtk_clipboard_set_with_data): Fix typo
	in the code.

2007-10-20  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* configure.in: raise pygobject dependency to 2.14.0, fixes #478718
	reported by Daniel Gryniewicz.

2007-10-18  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* README: mention how to build docs, patch from Björn Lindqvist,
	fixes #479379.

2007-10-18  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-2.12.defs:
	(gtk_widget_set_tooltip_window) Allow None in parameter.

2007-10-16  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-2.12.defs:
	(gtk_widget_set_tooltip_markup)
	(gtk_widget_set_tooltip_text)
	(gtk_icon_view_set_tooltip_cell)
	(gtk_tool_item_set_tooltip_text)
	(gtk_tool_item_set_tooltip_markup)
	(gtk_tree_view_set_tooltip_cell) Allow None in parameters.

2007-09-21  Jeremy Katz  <katzj@redhat.com>

	* gtk/gtktreeview.override
	(gtk_tree_view_convert_widget_to_bin_window_coords)
	(gtk_tree_view_convert_widget_to_tree_coords)
	(gtk_tree_view_convert_tree_to_widget_coords)
	(gtk_tree_view_convert_tree_to_bin_window_coords)
	(gtk_tree_view_convert_bin_window_to_widget_coords)
	(gtk_tree_view_convert_bin_window_to_tree_coords): Fix wrapper (#479012)

2007-09-16  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* configure.in: Post-release bump.

=== 2.12.0 ===
2007-09-16  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* configure.in: Version 2.12.0.

	* NEWS: Update.

2007-09-06  John Finlay  <finlay@moeraki.com>

	* docs/Makefile.am (install-data-hook): Add pygobject docs dir to
	index dirs for fixxref.py

2007-09-04  John Finlay  <finlay@moeraki.com>

	* codegen/defsgen.py (main): Create a GObject to initialize param pool
	Fixes #473576 (patch by Mark Doffman).

2007-09-02  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* pango.override:
	* tests/test_pango.py:
	Bug 472908 – Make pango.Context non-instantiable.

2007-09-01  John Finlay  <finlay@moeraki.com>

	* codegen/argtypes.py (StringArg.write_param)
	* codegen/codegen.py (Wrapper.write_function_wrapper): Allow StringArg
	to have default empty string ("")

2007-08-30  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/gdk-2.12.defs: Put the X11 defs inside (ifdef GDK_TARGET_X11
	...).  Fixes Bug 471804 – X11 specific calls included in the gtk
	module, breaking other backends.

2007-08-29  Johan Dahlin  <jdahlin@async.com.br>

	* pango.override: Make the bindings a bit more pythonic, implement
	tp_str, tp_hash and tp_compare for a few objects.

	* tests/test_pango.py: Add tests.

2007-08-27  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* configure.in: Post-release version bump.

=== 2.11.0 ===
2007-08-27  Johan Dahlin  <jdahlin@async.com.br>

	* README:

	* NEWS: Update

2007-08-27  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* configure.in (gtk_version): Add -DHAVE_GTK_2_12 to
	PYGTK_CODEGEN_DEFINES when compiling with gtk+ 2.12.

	* gtk/gtk-base.defs (scroll_child): Idem. for
	ScrolledWindow.scroll_child.

	* gtk/gtk-2.10.defs (reorder_tab): Idem for reorder_tab.

	* gtk/gtk-base.defs: Adjust GtkNotebook virtual
	change_current_page return type to gboolean if compiling against
	gtk+ >= 2.12.

	* docs/Makefile.am (EXTRA_DIST): Add icons and cursors to dist.

	* configure.in: Fix CFLAGS to allow compilation on Solaris.

2007-08-25  John Finlay  <finlay@moeraki.com>

	* Makefile.am (doc-dist): Copy icons and cursors when making doc-dist.

2007-08-23  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/Makefile.am: Fix makefile rules to regenerate the defs after
	each configure.

2007-08-21  John Finlay  <finlay@moeraki.com>

	* docs/cursors: Add missing cursor images
	* docs/icons: Add missing stock item icons
	* docs/Makefile.am (install-data-local): Install the stock item icons
	and cursor images in subdirectories of the reference docs.

2007-08-20  Johan Dahlin  <jdahlin@async.com.br>

	* tests/test_bin.py: New file.

	* gtk/gtk.override (_wrap_gtk_bin__set_child): New function.
	Closes #398155.

2007-08-14  Paul Pogonyshev  <pogonyshev@gmx.net>

	reviewed by: Gustavo Carneiro

	* gtk/gtk-base.defs (GtkTextLayout.set_buffer): Allow None as
	`buffer'.
	(GtkTextView.set_buffer): Likewise.  Closes #466375.

2007-08-15  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/gdkevent.override:
	Bug 466990 – GdkEventClient binding is 64-bit unclean.

2007-08-11  Paul Pogonyshev  <pogonyshev@gmx.net>

	reviewed by: Johan Dahlin

	* gtk/gtk-base.defs (GtkContainer.set_focus_child): Allow None as
	`widget'.
	(GtkContainer.do_set_focus_child): Likewise.
	(GtkWindow.do_set_focus): Likewise for `focus'.  Closes #462368.

	* tests/test_container.py (FocusContainer, FocusWindow): New
	auxiliary classes.
	(ContainerTest.testFocusSignalHandlers): New test.

2007-08-09  Tim Evans  <t.evans@aranz.com>

	reviewed by: Gustavo Carneiro

	* gtk/gtk.override (_wrap_GtkCellRenderer__do_get_size): Fix
	PyArg_ParseTupleAndKeywords() call.  Allow `cell_area' to be None.
	Closes #450770.

2007-08-09  Yevgen Muntyan  <muntyan@tamu.edu>

	reviewed by: Gustavo Carneiro

	* gtk/gtk-base.defs (GtkWidget.style_set): Allow None for
	`previous_style' argument.  Closes #425759.

2007-08-09  Paul Pogonyshev  <pogonyshev@gmx.net>

	reviewed by: Gustavo Carneiro

	* gtk/gtktreeview.override (pygtk_tree_sortable_sort_cb): Don't
	leak `py_model'.  Closes #361439.

2007-08-05  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-2.12.defs:
	(gtk_tooltip_set_markup)
	(gtk_tooltip_set_text)
	(gtk_tooltip_set_icon_from_stock)
	(gtk_tooltip_set_icon) Allow None in parameters.

2007-07-30  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-2.12.defs:
	(gtk_widget_modify_cursor) Allow None in parameters.

2007-07-30  Paul Pogonyshev  <pogonyshev@gmx.net>

	reviewed by: Johan, Fix bug #388754

	* examples/gtk/customtreemodel.py: Add usage example.

	* gtk/gtk-extrafuncs.defs (get_user_data, create_tree_iter): New
	methods of `gtk.GenericTreeModel'.

	* gtk/pygtktreemodel.c (pygtk_generic_tree_model_get_user_data)
	(pygtk_generic_tree_model_create_tree_iter): New functions.

2007-07-28  Gian Mario Tagliaretti  <gianmt@gnome.org>

	reviewed by: gjc, Fix bug #461245

	* gtk/gtk.override:
	(gtk_icon_theme_list_contexts)
	(gtk_icon_theme_choose_icon) Add wrappers.

2007-07-27  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk.override:
	(gtk_cell_layout_get_cells) Add wrapper.

	* gtk/gtk-2.12.defs:
	(gtk_entry_set_cursor_hadjustment) Allow None.

2007-07-27  Paul Pogonyshev  <pogonyshev@gmx.net>

	reviewed by: Johan, Fix bug #389777

	* tests/test_container.py (MyAlignment): New auxiliary widget class.
	(ContainerTest.testSuperclassForAll): New test case.

	* gtk/gtkcontainer.override (_wrap_GtkContainer__do_forall_callback)
	(_wrap_GtkContainer__do_forall): New functions.

2007-07-26  Gian Mario Tagliaretti  <gianmt@gnome.org>

	reviewed by: gjc, Fix bug #460200

	* gtk/gtk.override:
	(gtk_scale_button_new)
	(gtk_scale_button_set_icons): Add wrappers.

	* tests/test_scalebutton.py: Test the above.

	* gtk/gtk-2.12.defs:
	(gtk_buildable_add_child)
	(gtk_builder_set_translation_domain): allow None according to C docs.

2007-07-21  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-2.12.defs: add more 2.12 API.

2007-07-21  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* examples/pygtk-demo/tooltip.py: Add new tooltip demo.

	* examples/pygtk-demo/builder.py
	* examples/pygtk-demo/demo.ui: moved and adapted for pygtk-demo.

2007-07-17  Gian Mario Tagliaretti  <gianmt@gnome.org>

	reviewed by: Johan, Fix bug #4457195

	* gtk/gtkbuilder.override: new file.

	* gtk/Makefile.am,
	* gtk/gtk.override: add gtkbuilder.override.

	* examples/builder/*: add new builder example.

2007-07-15  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtk-2.12.defs: strip gtk_ prefix for new functions.

2007-07-14  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/__init__.py: try/except around ltihooks.uninstall(),
	as suggested by Brad Schick at the pygtk mailing list

2007-07-12  Gian Mario Tagliaretti  <gianmt@gnome.org>

	reviewed by: Johan, Fix bug #371293

	* gtk/gtk-base.defs:
	(gtk_image_new_from_file)
	(gtk_image_new_from_pixbuf)
	(gtk_image_new_from_pixmap)
	(gtk_image_new_from_image): Add wrappers.

2007-07-12  Gian Mario Tagliaretti  <gianmt@gnome.org>

	reviewed by: Johan, Fix bug #456037

	* gtk/gtktreeview.override:
	(gtk_tree_view_convert_widget_to_bin_window_coords)
	(gtk_tree_view_convert_widget_to_tree_coords)
	(gtk_tree_view_convert_tree_to_widget_coords)
	(gtk_tree_view_convert_tree_to_bin_window_coords)
	(gtk_tree_view_convert_bin_window_to_widget_coords)
	(gtk_tree_view_convert_bin_window_to_tree_coords): Add wrappers.

2007-07-11  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* configure.in: fix a broken build if gtk+-2.12 is not present,
	patch from Sébastien Granjoux.

2007-07-11  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* codegen/reversewrapper.py: Fix premature return of virtual
	methods containing GError** parameters.  Based on patch by
	Sébastien Granjoux.  Closes #455629.

2007-07-11  Gian Mario Tagliaretti  <gianmt@gnome.org>

	reviewed by: Johan

	* configure.in: bump version to 2.11.0, bump pango required version
	to 1.16.0, bump atk version to 1.12.0. Conditional build for gtk/gdk
	2.12 API.

	* pango-types.defs,
	* pango.defs,
	* pangocairo.defs: update with API up to 1.16.

	* atk-types.defs,
	* atk.defs: update with API up to 1.12.

	* gtk/Makefile.am: conditional build for new API 2.12.

	* gtk/gtk-2.12-types.defs,
	* gtk/gtk-2.12.defs,
	* gtk/gdk-2.12.defs: new files holding 2.12 API.

	* gtk/gtkunixprint.defs: update with API 2.12.

2007-07-10  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* tests/test_actiongroup.py (ActionTest): Add a gtk.Action subclass test.

2007-07-08  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* codegen/codegen.py: Automatically define a __version__ attribute
	in modules when VERSION is defined as preprocessor macro.  This
	allows modules to get __version__ defined almost automatically;
	they only have to add #include "config.h" to the top of the
	.override file.

2007-06-24  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtk.override (_wrap_gtk_tooltips__get_tips_data_list): Do not
	access GtkTooltips->tips_data_list, just return an empty list instead
	since it's private and it was renamed on trunk (#449318)

2007-06-17  Yevgen Muntyan  <muntyan@tamu.edu>

	reviewed by: Gustavo Carneiro

	* codegen/argtypes.py: Bug 448111 – Write const for boxed const
	return values.

2007-06-16  Sebastien Bacher  <seb128@ubuntu.com>

	* m4/python.m4: use python-config to get python includes
	(Closes #448176)

2007-06-14  Sébastien Granjoux  <seb.sfo@free.fr>

	reviewed and fixed by: Gustavo J. A. M. Carneiro.

	* codegen/reversewrapper.py: Handle GError** in virtual
	methods (bug #446470).

2007-06-11  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* codegen/reversewrapper.py (ReverseWrapper.generate): Special
	case when only a single void return value exists; fix the return
	value type checking in this case.

2007-05-23  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* codegen/reversewrapper.py (ReverseWrapper.generate): Refactor to
	allow add_pyret_parse_item("", ""), which is used for 'void'
	return type.
	(VoidReturn.write_conversion): Fix bug #440059: Bad check for
	direction "out" parameters with return-type "none".

2007-05-17  Tim Evans  <t.evans@aranz.com>

	Reviewed by: Gustavo Carneiro.

	* codegen/reversewrapper.py (DoubleReturn.write_conversion): Fix
	copy-paste error, and also support the new API that allows parsing
	of multiple return values.  Fixes Bug #439014.

2007-05-07  Richard Hult  <richard@imendio.com>

	* configure.in: Make --disable-docs actually work, OKed by Johan.

2007-05-03  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* tests/test_actiongroup.py,
	* tests/test_gdk.py: Fix unit tests to account for the new memory
	management model in pygobject 2.13.

2007-05-01  Andrew Cowie  <andrew@operationaldynamics.com>

	* gtk/gdk-base.defs: Fix return type of GdkRectangle.union

2007-02-23  Mariano Suarez-Alvarez  <mariano@gnome.org>

	* gtk/gtk-base.defs: Allow None for the string arguments
	of gtk_rc_get_style_by_paths. (Fixes bug #411412)

2007-02-05  Johan Dahlin  <jdahlin@async.com.br>

	* configure.in: Post release version bump

=== 2.10.4 ===
2007-02-05  Johan Dahlin  <jdahlin@async.com.br>

	* NEWS:

	2.10.4

2007-01-31  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gtk/gtkcontainer.override: Fix a possible memory leak in
	gtk.Container.child_get() (Fixes bug #404076)

2007-01-31  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkcontainer.override (_wrap_gtk_container_class_list_child_properties): Undeprecate

2007-01-20  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/gdk.override (_wrap_gdk_display_close): Force keeping of a
	reference to the display GObject even when we close() it.

	* tests/test_gdk.py (GdkTest.testDisplay): Johan's unit test with
	minor modifications.

	* gtk/gdk.override (_wrap_gdk_display_close): Override and make it
	aware that calling gdk_display_close unrefs the GdkDisplay.

2007-01-18  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gdk-base.defs: allow None

2007-01-09  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* configure.ac:  Turn the option --disable-docs into --enable-docs.
	* docs/Makefile.am:  Treat --enable-docs like --enable-gtk-doc in
	gtk+, i.e. do not ever build docs unless requested, but always
	install them if they are found already built.

2006-12-21  Sebastien Bacher  <seb128@ubuntu.com>

	* codegen/Makefile.am: install createdefs.py, fix dsextras.py,
	patch by Michael Bienia (Fixes #385934)

2006-12-14  Kjartan Maraas  <kmaraas@gnome.org>

	* autogen.sh: Make it work with automake 1.10.

2006-12-05  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* gtk/gdkevent.override (_wrap_gdk_event_tp_setattr): For the
	attribute "string", free the old string and g_strdup the new one;
	spotted by John Ehresman.
	Fixes bug #382428.

2006-12-02  Manish Singh  <yosh@gimp.org>

	* codegen/codegen.py: fix code for generating defines in override
	files, by using variables that actually exist in the context.
	Fixes bug #381389.

2006-11-25  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/gtktreeview.override (pygtk_tree_foreach_marshal): Use
	pygtk_boxed_unref_shared to unref py_iter.  We need this because
	the application may decided to keep a copy of the iterator passed
	in to a gtk_tree_model_foreach callback.

2006-11-19  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* examples/Makefile.am (demo_PYTHON),
	* examples/pygtk-demo/demos/statusicon.py: Add a gtk.StatusIcon
	example by Nikos Kouremenos.

2006-11-15  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/__init__.py: Do not rebind sys.path, restore the old one.
	Thanks to Jp Calderone for pointing out.

2006-10-13  Paolo Borelli  <pborelli@katamail.com>

	* gtk/gtktextview.override
	(pygtk_text_buffer_register_serialize_format_cb): set return
	value to NULL in the error codepath.

2006-10-13  John Finlay  <finlay@moeraki.com>

	* docs/Makefile.am (HTMLFILES): Remove
	html/pygtk-reference-copyright.html. Fixes #361906 (Marc-Andre Lureau)

2006-10-05  Cedric Gustin  <cedric.gustin@gmail.com>

	* setup.py: Initialize Templates and TemplateExtensions with
	py_ssize_t_clean=True (required by codegen.SourceWriter).

2006-10-03  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* configure.in: Bump version.

=== 2.10.3 ===
2006-10-03  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* NEWS: Update.

	* Makefile.am:
	* atk.override:
	* atkrectangle.override:
	* codegen/argtypes.py:
	* codegen/codegen.py:
	* gtk/Makefile.am:
	* gtk/gdk.override:
	* gtk/gdkdraw.override:
	* gtk/gdkpixbuf.override:
	* gtk/gdkrectangle.override:
	* gtk/gtk-types.c: (pygtk_style_helper_getitem),
	(pygtk_style_helper_setitem), (pygtk_tree_model_row_getitem),
	(pygtk_tree_model_row_setitem):
	* gtk/gtk.override:
	* gtk/gtkcontainer.override:
	* gtk/gtktextview.override:
	* gtk/gtktreeview.override:
	* pango.override:

	Support Python 2.5 + 64-bit architectures (#337368).

2006-10-03  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* gtk/gtktreeview.override (pygtk_tree_sortable_sort_cb): Fix a
	refcount problem accidentally introduced by me between 2.10.1 and
	2.10.2 :P

2006-10-03  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* configure.in: Post-release version bump.

=== 2.10.2 ===
2006-10-03  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* NEWS: Update.

	* tests/test_treeview.py: Add unit test for bug #347273.

2006-09-21  Cedric Gustin  <cedric.gustin@gmail.com>

	* pygtk_postinstall.py: Adapt the codegendir variable to the user
	platform. Copy style.css from pygobject docs to pygtk docs. Run
	fixxref on installed html files. Add functions to install
	shortcuts in the Start menu to the reference manual (currently
	disabled: see bug #353849).
	* setup.py: Changed the way the VERSION macro is defined on
	win32. Added 2.10 defs files for gdk and gtk when GTK+ 2.10 is
	detected. Added gtk.keysyms, gtk._lazyutils, dsextras_gen and
	codegen to the list of installed packages. Also install the html
	reference documentation and run fixxref on the html files.

2006-09-16  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/pygtkcellrenderer.c (pygtk_generic_cell_renderer_activate):
	Same fix as below.

	* gtk/gtktreeview.override (pygtk_tree_selection_foreach_marshal):
	Use pygtk_boxed_unref_shared to fix a side-effect of fixing bug
	#347273.
	(pygtk_tree_sortable_sort_cb): Add a similar fix.

	* gtk/gtkobject-support.c (pygtk_boxed_unref_shared): Add a new
	pygtk private API to unref a boxed type with a shared pointer.

2006-09-12  John Ehresman  <jpe@wingware.com>

	* gtk/gtk.override (_wrap_gtk_clipboard_wait_for_rich_text):
	Declare variable at start of code block

2006-09-04  Johan Dahlin  <jdahlin@async.com.br>

	* configure.in: post release version bump.

=== 2.10.1 ===
2006-09-04  Johan Dahlin  <jdahlin@async.com.br>


	* gtk/gtkmodule.c (init_gtk): Require pygobject 2.12.0

	* configure.in: post release version bump.

=== 2.10.0 ===
2006-09-04  Johan Dahlin  <jdahlin@async.com.br>

	* configure.in: Bump version and require GTK+ 2.10 for 2.10 API

	* README (http): Update

	* NEWS: Update

2006-08-21  Johan Dahlin  <jdahlin@async.com.br>

	* docs/Makefile.am: Get rid of build_stamp, include the generated html
	documentation in the tarball.

2006-08-14  John Finlay  <finlay@moeraki.com>

	* docs/Makefile.am (CSS_FILES):
	* docs/style.css:
	* configure.in (PYGOBJECT_PYGDOCS): Copy style.css from pygobject docs
	when installing docs. Fixes #351385 (Gian Mario Tagliaretti)

2006-08-14  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/__init__.py (_init): issue a warning instead of printing
	to stdout, fixes #316877 regression. (Jeremey Katz)

2006-08-12  John Finlay  <finlay@moeraki.com>

	* docs/style.css: Add.
	* docs/Makefile.am: Add install of style.css

2006-08-10  John Finlay  <finlay@moeraki.com>

	* configure.in:
	* docs/Makefile.am:
	* docs/reference/entities.docbook.in:
	* docs/reference/pygtk2-ref.xml:
        Use builddate.xml for the builddate entity and have builddate.xml be
        updated when the docs are built not during configure time.

2006-08-08  Johan Dahlin  <jdahlin@async.com.br>

	* configure.in: Post release version bump

=== 2.9.6 ===
2006-08-08  Johan Dahlin  <jdahlin@async.com.br>

	* README: Add PyGObject dependency

	* NEWS: Update

2006-08-07  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* codegen/argtypes.py:
	* codegen/codegen.py:
	* codegen/reversewrapper.py:
	Introduce new ArgTypeError exceptions, use them everywhere to
	raise catch codegen errors.  Bare except: clauses are gone now.

2006-08-07  Johan Dahlin  <jdahlin@async.com.br>

	* docs/Makefile.am ($(HTML_DATA)): Fix parallel build
	(#350225, Ed Catmur)

2006-08-07  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* codegen/argtypes.py: Don't allow overwrite a argtype
	registration unless the new kwarg 'overwrite' is True.
	Fixes bug #350252.

2006-08-07  Johan Dahlin  <johan@gnome.org>

	* tests/test_treeview.py (TreeViewTest._test_default_attributes): Add
	a test for #350252

2006-08-06  Johan Dahlin  <johan@gnome.org>

	* docs/fixxref.py: Remove, it moved to PyGObject.

2006-08-06  John Finlay  <finlay@moeraki.com>

	* docs/fixxref.py (link_pat): Allow patterns that cross multiple lines.

2006-08-06  Johan Dahlin  <johan@gnome.org>

	* configure.in: Post release version bump

=== PyGTK 2.9.5 ===
2006-08-06  Johan Dahlin  <johan@gnome.org>

	* NEWS: 2.9.5

2006-08-05  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/Makefile.am (GDK_TYPES_DEFS): Always include 2.10 defs in
	EXTRA_DIST, fixes (#350008, Joseph Sacco)

	* gtk/__init__.py (ver): Make it possible to reload the gtk+ module,
	(#349026, Alexander Larsson)

	* tests/test_api.py (APITest.testGlade): Add a test

	* gtk/_lazyutils.py (LazyModule.__getattr__): Special case __members__
	to dir on the real module, fixes (#349892, John Finlay)

	* tests/test_api.py (APITest.testKeysyms):
	Add a test

2006-08-05  John Finlay  <finlay@moeraki.com>

	* gtk/gtkunixprint.override (pygtk_custom_destroy_notify): Add this
	back in.

2006-08-04  Johan Dahlin  <jdahlin@async.com.br>

	* configure.in: post release version bump

=== PyGTK 2.9.4 ===
2006-08-04  Johan Dahlin  <jdahlin@async.com.br>

	* configure.in:
	* docs/Makefile.am:
	* docs/reference/entities.docbook.in:
	* docs/reference/pygtk2-ref.xml:
	Clean up the build date/version mess I created.
	Now it's created during configure time and properly included in
	the docbook files. Also make sure distcheck passes

2006-08-04  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* configure.in: Add hack to disable libtool checking for g++ and
	g77 (copied from libglade).

2006-07-31  John Finlay  <finlay@moeraki.com>

	* codegen/defsgen.py: Add new program to generate .defs files using
	the ctypes module to extract info from the GTK libraries.

2006-07-30  John Finlay  <finlay@moeraki.com>

	* gtk/gtkunixprint.override: Remove pygtk_custom_destroy_notify.

2006-07-30  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* codegen/codegen.py (SourceWriter.write_class): Simplify code
	that generates the call to pygobject_register_class; Correct the
	fallback value of bases_str.

2006-07-28  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* gtk/gtk.override (_wrap_gtk_print_context_get_cairo_context):
	Someone forgot to rename the override function when gtk+ API
	changed...

2006-07-27  Rafael Ávila de Espíndola <rafael.espindola@gmail.com>

	reviewed by: Johan Dahlin  <jdahlin@async.com.br>

	* atkrectangle.override:
	* gtk/gdk.override:
	* gtk/gdkevent.override:
	* gtk/gdkgc.override:
	* gtk/gdkpixbuf.override:
	* gtk/gtk-types.c:
	* gtk/gtkcontainer.override:
	* gtk/gtkmodule.c:
	* gtk/gtktextview.override:
	* gtk/libglade.override:

	Do not exports internal symbols, fixes #347825

2006-07-27  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/gtk.override (_wrap_gtk_main): Copy paste some code from
	pygobject/gobject/pygmainloop written by Mark McLoughlin, to check
	for signals inside the gtk main loop.

	* gtk/gtkmodule.c (init_gtk): Remove the timer; no longer needed.
	Fixes bug #348937: 100ms timeouts in pygtk.

2006-07-25  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkmodule.c (init_gtk):
	* pangomodule.c (initpango): Check the required
	PyGObject version in runtime too.

2006-07-24  John Finlay  <finlay@moeraki.com>

	* atk.defs (atk_role_get_localized_name, atk_role_get_name): Define as
	functions.

	* pango.defs (pango_script_get_sample_language): Define as function.

	* gtk/gtkunixprint.defs (details_acquired)
	(gtk_print_capabilities_get_type, status_changed): Add.

	* gtk/gtk-base-types.defs (Editable): Add prerequisite.

	* pangocairo.override (*_get_type): ignore-glob
	(pango_cairo_update_context, pango_cairo_create_layout)
	(pango_cairo_update_layout, pango_cairo_show_glyph_string)
	(pango_cairo_show_layout_line, pango_cairo_show_layout)
	(pango_cairo_glyph_string_path, pango_cairo_layout_line_path)
	(pango_cairo_layout_path): ignore.

	* pangocairo.defs (pango_cairo_update_context)
	(pango_cairo_context_set_font_options)
	(pango_cairo_context_get_font_options)
	(pango_cairo_context_set_resolution)
	(pango_cairo_context_get_resolution, pango_cairo_create_layout)
	(pango_cairo_update_layout, pango_cairo_show_glyph_string)
	(pango_cairo_show_layout_line, pango_cairo_show_layout)
	(pango_cairo_glyph_string_path, pango_cairo_layout_line_path)
	(pango_cairo_layout_path): Add.

	* pango.override (*_get_type, *_ref, *_unref, *_free): ignore-glob
	(pango_default_break): ignore

	* pango.defs (pango_attr_shape_new_with_data, pango_default_break)
	(pango_context_get_font_map, pango_context_set_matrix)
	(pango_context_get_matrix, pango_itemize_with_base_dir)
	(pango_coverage_new, pango_glyph_item_split, pango_glyph_item_free)
	(pango_glyph_item_apply_attrs, pango_glyph_item_letter_space)
	(pango_item_get_type, pango_item_new, pango_item_copy)
	(pango_item_free, pango_item_split, pango_script_for_unichar)
	(pango_script_iter_new, pango_script_iter_get_range)
	(pango_script_iter_next, pango_script_iter_free)
	(pango_script_get_sample_language, pango_script_includes_script)
	(pango_matrix_get_type, pango_matrix_copy, pango_matrix_free)
	(pango_matrix_translate, pango_matrix_scale, pango_matrix_rotate)
	(pango_matrix_concat, pango_get_mirror_char, pango_unichar_direction)
	(pango_find_base_dir): Add. Add virtuals.
	(pango_font_metrics_new, pango_find_map, pango_map_get_engine)
	(pango_map_get_engines, pango_module_register): Add with ifdef
	PANGO_ENABLE_BACKEND
	(pango_split_file_list, pango_trim_string, pango_read_line)
	(pango_skip_space, pango_scan_word, pango_scan_string)
	(pango_scan_int, pango_config_key_get, pango_lookup_aliases)
	(pango_parse_style, pango_parse_variant, pango_parse_weight)
	(pango_parse_stretch, pango_get_sysconf_subdirectory)
	(pango_get_lib_subdirectory, pango_log2vis_get_embedding_levels)
	(pango_get_sample_string, pango_is_zero_width): Add with ifdef
	USE_PANGO_UTILS

	* pango-types.defs (WrapMode): Add PANGO_WRAP_WORD_CHAR. Reorganize.

2006-07-23  John Finlay  <finlay@moeraki.com>

	* atk.override (AtkObjectFactory__do_create_accessible)
	(AtkObjectFactory__proxy_do_create_accessible)
	(AtkUtil__do_add_global_event_listener)
	(AtkUtil__proxy_do_add_global_event_listener)
	(AtkUtil__do_remove_global_event_listener)
	(AtkUtil__proxy_do_remove_global_event_listener)
	(AtkUtil__do_add_key_event_listener)
	(AtkUtil__proxy_do_add_key_event_listener)
	(AtkUtil__do_remove_key_event_listener)
	(AtkUtil__proxy_do_remove_key_event_listener): Ignore.

	* codegen/reversewrapper.py (StringReturn): Add const-gchar* as a
	StringReturn match.

	* codegen/codegen.py (GInterfaceWrapper.write_virtuals): Don't write
	interface_init if no proxies.

	* atk.defs: Add get_type defs from atk-enum-types.h.
	Add virtuals for Action, Component, Document, EditableText, Hyperlink,
	Hypertext, Image, ObjectFactory, ImplementorIface, Object, Selection,
	StreamableContent, Table. Text, Util and Value.

	* gtk/Makefile.am (libglade.c, gtkunixprint.c): Add dependencies on
	gtk-types.defs and gdk-types.defs

	* codegen/reversewrapper.py (PangoFontDescriptionReturn)
	(PangoFontMetricsReturn, PangoLanguageReturn): Add

2006-07-23  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/Makefile.am: Remove back the install-exec-hook that removes _gtk.la.

2006-07-23  Johan Dahlin  <johan@gnome.org>

	* Makefile.am:
	* gtk/Makefile.am:
	* gtk/__init__.py:
	* gtk/_gtk.py:
	* gtk/_lazyutils.py:
	* gtk/deprecation.py:
	* gtk/gtk.override:
	* gtk/gtkmodule.c: (init_gtk):
	* gtk/libglademodule.c: (initglade):

	Revert dynamic namespaces, it is not possible
	to solve it without breaking the ABI.

2006-07-23  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/_gtk.py: Add _PyGtk_API alias from _gtkimpl, for
	compatibility reasons.

	* gtk/Makefile.am (install-exec-hook): Uninstall old _gtk.la, if
	installed, else it may conflict with _gtkimpl.la.

2006-07-22  John Finlay  <finlay@moeraki.com>

	* atk.defs (atk_implementor_ref_accessible): Attach as
	AtkImplementorIface method

	* atk-types.defs (AtkImplementorIface): Revert to registered name.

	* gtk/gtk-base-types.defs: Annotate interfaces with prerequisites
	and objects with interface implementations

	* gtk/gtk-2.10-types.defs: Annotate interfaces with prerequisites
	and objects with interface implementations. Reorganize.

	* codegen/reversewrapper.py (VoidReturn.write_conversion)
	(DoubleReturn.write_conversion, GBoxedReturn.write_conversion): Use
	failure_exception instead of failure_cleanup
	(GtkTreePathReturn): Add.

	* gtk/gdk-base.defs (get_display_name, get_n_screens, get_screen)
	(get_default_screen, closed): Add GdkDisplay virtual defs
	(create_gc, draw_rectangle, draw_arc, draw_polygon, draw_text)
	(draw_text_wc, draw_drawable, draw_points, draw_segments)
	(draw_lines, draw_glyphs, draw_image, get_depth, get_size)
	(set_colormap, get_colormap, get_visual, get_screen, get_image)
	(get_clip_region, get_visible_region, get_composite_drawable)
	(draw_pixbuf, draw_glyphs_transformed, draw_trapezoids)
	(ref_cairo_surface): Add GdkDrawable virtual defs
	(get_values, set_values, set_dashes): Add GdkGC virtual defs
	(direction_changed, keys_changed): Add GdkKeymap virtual defs
	(size_changed): Add GdkScreen virtual def
	(gdk_pixbuf_animation_ref, pixbuf_animation_unref): Add
	GdkPixbufAnimation method defs
	(non_anim_new, is_static_image, get_static_image, get_size)
	(get_iter): Add GdkPixbufAnimation method and virtual defs with
	GDK_PIXBUF_ENABLE_BACKEND ifdef
	(get_delay_time, get_pixbuf, on_currently_loading_frame, advance): Add
	GdkPixbufAnimationIter virtual defs with GDK_PIXBUF_ENABLE_BACKEND
	ifdef
	(pixbuf_error_quark, pixbuf_get_type, ref, unref)
	(pixbuf_new_from_file_at_scale, save_to_callbackv)
	(save_to_buffer, save_to_bufferv): Add misc GdkPixbuf method and
	function defs
	(is_scalable, is_disabled, set_disabled, get_license): Add
	GdkPixbufFormat methods defs
	(set_option): Add GdkPixbuf method def with GDK_PIXBUF_ENABLE_BACKEND
	ifdef
	(size_prepared, area_prepared, area_updated, closed): Add
	GdkPixbufLoader virtual defs
	(serialize, deserialize, from_pixbuf, pixbuf_from_pixdata)
	(to_csource): Add GdkPixdata method and function defs

	* gtk/gdk-2.10.defs (composited_changed): Add GdkScreen virtual def

	* gtk/gdk.override (gdk_pixbuf_from_pixdata, gdk_pixdata_*): Ignore

	* codegen/reversewrapper.py (GdkRegionPtrReturn): Add.

2006-07-22  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* Makefile.am (SUBDIRS): Make --disable-docs really work.

2006-07-22  John Finlay  <finlay@moeraki.com>

	* gtk/gdk-base.defs (gdk_pixbuf_simple_anim_add_frame)
	(pixbuf_simple_anim_new, pixbuf_simple_anim_iter_get_type)
	(pixbuf_simple_anim_get_type, gdk_pixbuf_flip): Add

	* gtk/gdk.override: Add #define for GDK_TYPE_PIXBUF_SIMPLE_ANIM_ITER.

	* gtk/gdk-base-types.defs (PixbufSimpleAnim)
	(PixbufSimpleAnimIter, PixbufRotation): Add.

2006-07-20  Johan Dahlin  <johan@gnome.org>

	* gtk/gdk-base.defs:
	Remove the leading gdk_ from a few functions.

2006-07-20  John Finlay  <finlay@moeraki.com>

	* docs/Makefile.am: Make builddate.xml dependent on REFERENCE_DEPS.
	Make version.xml dependent on config.h. Add builddate.xml to pdf and
	build-stamp dependencies. Clean pdf files.

2006-07-20  Johan Dahlin  <jdahlin@async.com.br>

	* configure.ac:
	* docs/Makefile.am:
	* docs/reference/.cvsignore:
	* docs/reference/version.xml.in:
	Generate builddate.xml and version.xml at build time instead on
	configure time, add proper dependencies.

2006-07-20  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* gtk/gtk-base.defs (lookup_icon, load_icon): Caller owns return.
	Fixes leaks.

2006-07-20  John Finlay  <finlay@moeraki.com>

	* gtk/gtk.override (GtkObject__do_set_arg, GtkObject__do_get_arg)
	(GtkObject__proxy_do_set_arg, GtkObject__proxy_do_get_arg): Ignore.
	#341633 (Johan Dahlin)

	* gtk/gtk-types.c (pygtk_tree_model_row_getitem)
	(pygtk_tree_model_row_setitem): Remove negative index readjustment
	code. #311852 (Baiju M)

	* codegen/codegen.py (Coverage.printstats): Fix typo.
	#341668 (Yevgen Muntyan)

2006-07-19  John Finlay  <finlay@moeraki.com>

	* gtk/gtktreeview.override (_wrap_gtk_tree_store_insert): Fix typo

	* docs/Makefile.am: Use more portable date generator.

2006-07-19  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkmodule.c (init_gtkimpl): Don't register constants
	* codegen/codegen.py: Make enum/flags lazily created too.

	* gtk/__init__.py:
	* gtk/deprecation.py:
	Make functions lazily loaded.
	Make deprecation lazy too, to avoid refercing anything until it's called.

2006-07-19  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* atk.override (_wrap_atk_editable_text_set_run_attributes): Don't
	ignore g_slist_append return value.

2006-07-19  Rafael Espíndola <rafael.espindola@gmail.com>

	reviewed by: Gustavo Carneiro

	* codegen/codegen.py: Mark generated PyTypeObject structures with
	G_GNUC_INTERNAL to reduce the size of the PLT.  Fixes #347825.

2006-07-19  John Finlay  <finlay@moeraki.com>

	* docs/fixxref.py: Add utility to fix links to pygobject docs.

	* docs/Makefile.am : Add reference/version.xml and
	reference/builddate.xml for auto generated version and build date for
	docs

	* docs/common.xsl:
	* docs/devhelp.xsl:
	* docs/html-style.xsl:
	* docs/html.xsl: Remove.

	* configure.in (AC_CONFIG_FILES): Add docs/reference/version.xml

2006-07-18  Johan Dahlin  <johan@gnome.org>

	* docs/Makefile.am (HTMLdir): Install book in $datadir/gtk-doc/html

2006-07-18  John Finlay  <finlay@moeraki.com>

	* gtk/gtktreeview.override (pygtk_cell_data_func_marshal)
	(pygtk_tree_selection_foreach_marshal, pygtk_tree_sortable_sort_cb)
	(pygtk_tree_foreach_marshal, pygtk_tree_model_filter_visible_cb)
	(pygtk_filter_modify_func_marshal)
	(pygtk_set_search_equal_func_marshal): Don't copy TreeIter when passing
	to callback. #347273 (Stefano Maggiolo)
	(_wrap_gtk_tree_selection_set_select_function): Optionally provide full
	info to callback. #340475 (Wouter Bolsterlee)

2006-07-17  John Finlay  <finlay@moeraki.com>

	* gtk/gtktreeview.override:
	(_wrap_gtk_tree_store_set_column_types): Add.
	(_wrap_gtk_tree_store_insert): Use gtk_tree_store_insert_with_valuesv.

	* gtk/_lazyutils.py (LazyNamespace.__getattribute__): Allow
	'from gtk import *' to work

2006-07-17  Johan Dahlin  <johan@gnome.org>

	* configure.in:
	* docs/.cvsignore:
	* docs/Makefile.am:
	* docs/reference/pygtk2-ref.xml:

	Add non GObject parts of John Finlays reference manual

2006-07-17  John Finlay  <finlay@moeraki.com>

	* codegen/reversewrapper.py (GBoxedReturn.write_conversion): Specify
	code arg is None

	* gtk/gtk-2.10.defs: Add additional virtual defs.

	* gtk/gtk-base.defs: Add additional virtual defs.

2006-07-14  John Finlay  <finlay@moeraki.com>

	* Makefile.am (.defs.c): Allow libglade and gtkunixprint code
	generation in place.

2006-07-13  John Finlay  <finlay@moeraki.com>

	* gtk/gtk-2.10-types.defs (TargetList): Move from
	gtk/gtk-base-types.defs

	* gtk/gtk-base-types.defs (AccelMap): Add. #337011 (Sebastian Pölsterl)
	(TipsQuery, TargetList, TreePath, FileInfo, FilePath): Add.

	* gtk/gtk.override (_wrap_gtk_accel_map_foreach)
	(_wrap_gtk_accel_map_foreach_unfiltered): Add.
	Fixes #337011 (Sebastian Pölsterl)
	(GtkTipsQuery, GtkTargetList, GtkTreePath, GtkFileInfo, GtkFilePath):
	Ignore types.

	* codegen/codegen.py (SourceWriter.write_registers): Don't write
	registers for ignored types.
	(SourceWriter.write_type_declarations): Don't write type declarations
	for ignored types.

2006-07-13  Johan Dahlin  <jdahlin@async.com.br>

	* codegen/codegen.py:
	* codegen/defsparser.py:
	* configure.in:
	* gtk/Makefile.am:
	* gtk/__init__.py:
	* gtk/_gtk.py:
	* gtk/_lazyutils.py:
	* gtk/deprecation.py:
	* gtk/gtk.override:
	* gtk/gtkmodule.c: (init_gtkimpl):
	* gtk/libglade.override:
	* gtk/libglademodule.c: (init_glade):
	* gtk/pygtk.h:
	* tests/common.py:
	* tests/test_api.py:
	Only load types in gtk when they are used, fixes #346946

2006-07-13  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* tests/test_container.py: New unit test to
	set/get_child_property, etc. by Lorenzo Gil Sanchez.

	* tests/Makefile.am (tests): Add test_container.py.

	* gtk/gtkcontainer.override
	(_wrap_GtkContainer__proxy_do_set_child_property): Add missing
	param.

	* gtk/gtkwidget.override (_wrap_gtk_widget_set_activate_signal)
	(_wrap_gtk_widget_get_activate_signal): Add getter and setter for
	GtkWidgetClass->activate_signal.  Fixes #331445.

	* gtk/gtk.override (_wrap_gtk_action_set_menu_item_type): Add
	class method to change GtkActionClass->menu_item_type.
	(_wrap_gtk_action_set_tool_item_type): idem for tool_item_type.
	Fixes #331355.

	* gtk/gtk-base.defs: Declare the missing
	GtkAction.create_menu|tool_item virtuals.

	* examples/gtk/scrollable.py (Layout.do_size_allocate): Save the
	allocation (#341509, Muntyan).

	* gtk/gtk.override (_wrap_GtkEditable__do_insert_text): Impl.
	(_wrap_GtkEditable__do_get_selection_bounds): Impl.

	* gtk/gtk-base.defs (insert_text): Add direction information to
	the position parameter of gtk.Editbale.insert_text virtual.

	* codegen/defsparser.py (IncludeParser.include): Fix including
	absolute path names, #345073.

2006-07-12  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* NEWS: I forgot one NEWS item in the release :P

	* configure.in: Post release version bump.

=== 2.9.3 ===
2006-07-12  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* NEWS: Update.

	* tests/Makefile.am: Copy a few more gtk module support files for
	running tests.

	* tests/common.py: Don't hide import errors.

2006-07-13  Johan Dahlin  <johan@gnome.org>

	* gtk/gtk.override: Ignore gtk_recent_chooser_set_show_numbers and
	gtk_recent_chooser_get_show_numbers,
	see http://article.gmane.org/gmane.comp.gnome.language-bindings/805

2006-07-12  John Finlay  <finlay@moeraki.com>

	* gtk/gtkunixprint.override (_wrap_gtk_enumerate_printers): Add.

2006-07-11  John Finlay  <finlay@moeraki.com>

	* gtk/gtkunixprint.defs (gtk_printer_accepts_pdf)
	(gtk_printer_accepts_ps, gtk_enumerate_printers): Add.

	* gtk/gdk-base.defs (gdk_set_pointer_hooks): Remove dup.

2006-07-10  John Finlay  <finlay@moeraki.com>

	* gtk/gtk-base.defs (gtk_binding_entry_add_signal): Remove dup.

	* gtk/gdk-base-types.defs (GdkColorspace): Remove duplicate.

	* gtk/gdk-base.defs (gdk_color_change): Change to function to resolve
	conflict with gdk_colormap_change.
	(gdk_colormap_change): Note as deprecated.
	(gdk_display_store_clipboard): Remove dup def

2006-07-08  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/gtk-base.defs (clipboard_get_for_display): Add
	"(caller-owns-return nil)"; Fixes #343960.

2006-07-07  John Finlay  <finlay@moeraki.com>

	* gtk/gdk.override: Ignore-glob *_libgtk_only. Fixes #321476.

2006-07-06  John Finlay  <finlay@moeraki.com>

	* pango.override (_wrap_pango_attr_underline_color_new)
	(_wrap_pango_attr_strikethrough_color_new)
	(_wrap_pango_attr_size_new_absolute)
	(_wrap_pango_attr_letter_spacing_new): Add.

	* pango.defs (AttrSizeAbsolute, AttrUnderlineColor)
	(AttrStrikethroughColor, AttrLetterSpacing)
	(pango_font_description_set_absolute_size)
	(pango_font_description_get_size_is_absolute)
	(pango_font_get_font_map): Add.

	* gtk/gtk.override (_wrap_gtk_color_selection_palette_to_string):
	Allow colors to be a sequence.

	* atk.override (_wrap_atk_state_set_contains_states)
	(_wrap_atk_state_set_add_states): Fix reference leaks.

2006-07-06  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* gtk/gtk.override (_wrap_gtk_color_selection_palette_to_string):
	Check that argument is a list of gdk.Color.  Fixes #346745.

2006-07-06  John Finlay  <finlay@moeraki.com>

	* atk.override (atk_text_free_ranges): Ignore.
	(_wrap_atk_value_get_current_value)
	(_wrap_atk_value_get_maximum_value)
	(_wrap_atk_value_get_current_value)
	(_wrap_atk_value_set_current_value): Add.

	* atkmodule.c (initatk): Add call to _pyatk_register_boxed_types()

	* Makefile.am (ATK_OVERRIDES): Add atkrectangle.override

	* atkrectangle.override: Add.

	* atk.override (_wrap_atk_text_get_text_at_offset)
	(_wrap_atk_text_get_text_before_offset)
	(_wrap_atk_text_get_character_extents)
	(_wrap_atk_text_get_run_attributes)
	(_wrap_atk_text_get_default_attributes)
	(_wrap_atk_text_get_bounded_ranges, _wrap_atk_text_get_selection)
	(_wrap_atk_text_get_range_extents): Add,

	* atk.defs (atk_rectangle_new): Add.

2006-07-05  John Finlay  <finlay@moeraki.com>

	* atk.override (_wrap_atk_state_set_contains_states)
	(_wrap_atk_state_set_add_states):
	(_wrap_atk_table_get_selected_rows)
	(_wrap_atk_table_get_selected_columns):
	(_wrap_atk_text_get_text_after_offset): Add.

	* atk.defs (atk_relation_type_get_name): Define as function instead
	of method.
	(atk_state_type_get_name):  Define as function instead of method.
	(atk_state_set_new): Fix typo.

	* atk.override (_wrap_atk_relation_get_target): Add.
	(_wrap_atk_relation_new): Raise ValueError if targets is zero length.

2006-07-05  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/Makefile.am:
	* gtk/__init__.py:
	* gtk/_lazyutils.py:
	* tests/Makefile.am:
	* tests/test_api.py:
	Add infrastructure to handle lazy loading.
	Move keysyms to be loaded lazily.
	Add API tests to make sure keysyms works.

2006-07-05  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/Makefile.am:
	* gtk/__init__.py:
	* gtk/deprecation.py:
	Move deprecation related classes to a separate python file

2006-06-27  John Finlay  <finlay@moeraki.com>

	* atk-types.defs: Update defs for atk-1.8
	* atk.defs: Update defs for atk-1.8

	* atk.override (_wrap_atk_component_get_size)
	(_wrap_atk_component_get_size, _wrap_atk_component_get_extents)
	(_wrap_atk_editable_text_set_run_attributes)
	(_wrap_atk_editable_text_insert_text)
	(_wrap_atk_image_get_image_position)
	(_wrap_atk_image_get_image_position): Add

2006-06-27  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* gtk/gdk-2.10.defs, gtk/gdk-base.defs: It seems that all X11
	specific functions are available in gtk+ 2.8 too; moving them from
	gdk-2.10.defs to gdk-base.defs.

	* gtk/gdkcairo.override (_wrap_gdk_cairo_rectangle): Missing
	PyErr_Clear() when first protype parsing fails.

2006-06-27  John Finlay  <finlay@moeraki.com>

	* gtk/gtk-2.10.defs (GtkPrintOperationPreview, GtkRecentChooser):
	Add virtual defs for these interfaces.

2006-06-25  John Finlay  <finlay@moeraki.com>

	* gtk/gtk-2.10.defs (gtk_status_icon_set_from_pixbuf): Allow pixbuf
	to be None
	(gtk_status_icon_set_tooltip): Allow tooltip_text to be None
	(print_run_page_setup_dialog): Allow parent to be None.

	* gtk/gtk.override (_wrap_gtk_recent_manager_add_full): is_private
	should be a boolean.

	* gtk/gtk-2.10-types.defs:  Add RecentChooser and
	PrintOperationPreview implements interface notations

2006-06-25  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* codegen/argtypes.py (ArgMatcher.register_enum,
	(ArgMatcher.register_flag): Use IntArg to handle enums and flags
	with no typecode.  This is to avoid the compiler warning
	"dereferencing type-punned pointer will break strict-aliasing
	rules" when converting enums or flags with no typecode.
	(EnumArg.enum): Typecast to gpointer, not gint*, to avoid gcc type
	punning warnings.
	(FlagsArg.flag): idem.

	* codegen/codegen.py (SourceWriter.write_enums): Typecast second
	 argument of PyModule_AddIntConstant to
	 (char*) to avoid const warning on python < 2.5.

2006-06-25  John Finlay  <finlay@moeraki.com>

	* gtk/gtkwidget.override (_wrap_gtk_widget_class_find_style_property):
	Add.

2006-06-24  John Finlay  <finlay@moeraki.com>

	* gtk/gtk.override (_wrap_gtk_print_operation_get_error):
	g_clear_error() is called in pyg_error_check()

	* gtk/gtk-2.10.defs (gtk_print_settings_set): Allow value to be NULL.

2006-06-24  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/gtk.override (_wrap_gtk_print_operation_get_error):
	s/g_error_clear/g_clear_error/.
	(_wrap_gtk_print_operation_get_error): Return the exception value,
	not just error->message, so that the programmer can consult
	error.domain and error.code in addition to error.message.

2006-06-24  John Finlay  <finlay@moeraki.com>

	* gtk/gtk.override (_wrap_gtk_print_operation_get_error): Return
	the error message if any.

2006-06-22  John Finlay  <finlay@moeraki.com>

	* gtk/gtk-2.10-types.defs (PrintOperationPreview): Identify as an
	interface.

	* gtk/gtk-2.10.defs (gtk_label_get_line_wrap_mode)
	(gtk_label_set_line_wrap_mode): Add

	* gtk/gtk.override (_wrap_gtk_notebook_set_window_creation_hook):
	Fix parse tuple format.

2006-06-22  Frederic Peters  <fpeters@0d.be>

	* gtk/gtkunixprint.override (_wrap_gtk_print_job_send): update to
	latest GTK+ API change.  #345623

2006-06-20  Elijah Newren  <newren gmail com>

	* gtk/gtk-2.10.defs (get_print_to_file, set_print_to_file): remove
	these functions as the corresponding functions in gtk+ have
	recently been removed as well.  #345447

2006-06-15  John Finlay  <finlay@moeraki.com>

	* gtk/gtk.override (_wrap_gtk_notebook_set_window_creation_hook): Add.

	* gtk/gdk.override (_wrap_gdk_screen_set_font_options)
	(_wrap_gdk_screen_set_font_options): Add.

	* gtk/gtk-base.defs (accel_group_from_accel_closure): Remove duplicate.

	* gtk/gdk.override (gdk_atom_intern_static_string): Ignore

2006-06-15  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* configure.in: Post-release version bump.

=== 2.9.2 ===
2006-06-15  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* examples/pygtk-demo/demos/print_editor.py: Update example to
	API changes a couple of weeks ago.

	* NEWS: Update.

	* gtk/gtk-2.10.defs (target_list_add_rich_text_targets): Remove
	"(of-object "GtkTargetList")", which is not valid for functions.

	* gtk/gtkunixprint.override (pygtk_print_job_complete_func_cb):
	PycairoSurface_FromSurface API breakage happened since pycairo
	1.1.6, not 1.1.7.  Fixes #344957.

2006-06-14  John Finlay  <finlay@moeraki.com>

	* gtk/gtktextview.override (_wrap_gtk_text_buffer_serialize)
	(_wrap_gtk_text_buffer_register_deserialize_format)
	(_wrap_gtk_text_buffer_register_serialize_format)
	(_wrap_gtk_text_buffer_get_serialize_formats)
	(_wrap_gtk_text_buffer_get_serialize_formats): Add.

	* codegen/argtypes.py (arg): Match const-guint8* as UCharArg

	* gtk/gtktextview.override (_wrap_gtk_text_buffer_deserialize)
	(_wrap_gtk_text_buffer_deserialize): Add.

2006-06-14  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* codegen/defsparser.py (IncludeParser.include): Fix a small typo
	that caused bug #344845.

2006-06-14  John Finlay  <finlay@moeraki.com>

	* gtk/gtktextview.override
	(_wrap_gtk_text_buffer_get_copy_target_list) : Add,

	* gtk/gtk.override (_wrap_gtk_drag_dest_find_target)
	(_wrap_gtk_drag_dest_get_target_list)
	(_wrap_gtk_drag_dest_set_target_list, _wrap_gtk_drag_begin)
	(_wrap_gtk_drag_source_get_target_list)
	(_wrap_gtk_drag_source_set_target_list)
	(_wrap_gtk_target_list_add_text_targets)
	(_wrap_gtk_target_list_add_image_targets)
	(_wrap_gtk_target_list_add_uri_targets)
	(_wrap_gtk_target_list_add_rich_text_targets):
	Use pygtk_target_list_from_sequence and pygtk_target_list_to_list.

	* gtk/gtkobject-support.c (pygtk_target_list_from_sequence)
	(pygtk_target_list_to_list): Add.

2006-06-13  John Finlay  <finlay@moeraki.com>

	* gtk/gtk-2.10.defs (gtk_tree_view_set_search_entry): Allow entry arg
	to default to None.

	* gtk/gtktreeview.override
	(_wrap_gtk_tree_view_set_search_position_func): Add.

	* gtk/gtk-2.10.defs (gtk_target_list_add_rich_text_targets): Change
	to function.

	* gtk/gtk.override (_wrap_gtk_target_list_add_rich_text_targets): Add.

2006-06-14  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* configure.in: Post-release version bump.

=== 2.9.1 ===
2006-06-14  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* codegen/defsparser.py (IncludeParser.include),
	* codegen/codegen.py (main): Add a -I option to specify a path to
	search for .defs files.

	* gtk/Makefile.am (CREATEDEFS): Use $(top_srcdir) to find
	createdefs.py.
	(gtk.c): gtk.c depends also on gdk-types.defs.
	(EXTRA_DIST): Add gtk-extrafuncs.defs.

	* codegen/Makefile.am (EXTRA_DIST): Add createdefs.py.

2006-06-13  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/gtkmodule.c (pygtk_add_extra_constants): Don't add
	GTK_PAPER_* constants with gtk+ 2.8.

	* gtk/gtkunixprint.override (pygtk_print_job_complete_func_cb):
	Make it conditionally compile with both pycairo >= 1.1.7 and
	earlier versions.

	* configure.in: Explicitly require pycairo for module pangocairo.
	Minimum pycairo version changed back to 1.0.2.

	* NEWS: Updated.

	* gtk/gdkcairo.override (_wrap_gdk_cairo_rectangle): Make
	gdk.CairoContext.rectangle() also accept (x, y, width, height)
	parameters to avoid violating the Liskov substitution principle,
	since it redefines cairo.Context.rectangle() with a different
	signature.

2006-06-13  John Finlay  <finlay@moeraki.com>

	* gtk/gtk.override (_wrap_gtk_menu_popup): Improve anti-leak code.
	(_wrap_gtk_init_check, _wrap_gtk_init_check): Ignore.

	* gtk/pygtk-private.h: Add. pygdk_atom_vector_from_sequence

	* gtk/gtkobject-support.c (pygdk_atom_vector_from_sequence): Add.

	* gtk/gtk.override (_wrap_gtk_targets_include_rich_text)
	(_wrap_gtk_targets_include_uri, _wrap_gtk_targets_include_text)
	(_wrap_gtk_targets_include_image): Add.

2006-06-12  John Finlay  <finlay@moeraki.com>

	* gtk/gtkstyle.override (_wrap_gtk_style_lookup_color): Add.

	* gtk/gtk-2.10-types.defs (enum TreeViewGridLines): Add.

	* gtk/gtk-2.10.defs (gtk_tree_view_set_enable_tree_lines)
	(gtk_tree_view_get_enable_tree_lines, gtk_tree_view_set_grid_lines)
	(gtk_tree_view_get_grid_lines, gtk_tree_view_grid_lines_get_type)
	(gtk_print_operation_action_get_type): Add.

	* gtk/gtk.override (_wrap_gtk_status_icon_position_menu)
	(_wrap_gtk_status_icon_position_menu): Add.
	(_wrap_gtk_menu_popup): Recode to support passing
	gtk.status_icon_position_menu as a position function while maintaining
	backward compatibility.

2006-06-11  John Finlay  <finlay@moeraki.com>

	* gtk/gtk.override (_wrap_gtk_recent_manager_get_items)
	(_wrap_gtk_recent_manager_add_full): Add.

	* gtk/gtktreeview.override (gtk_tree_store_insert_with_values)
	(gtk_tree_store_insert_with_valuesv): Ignore

	* gtk/gtk.override (_wrap_gtk_size_group_get_widgets): Fix bug.
	(_wrap_gtk_recent_filter_add_custom)
	(_wrap_gtk_recent_filter_filter): Add.

	* gtk/gtk-2.10.defs (register_serialize_tagset)
	(register_deserialize_tagset): Allow NULL tagset_name arg.

	* gtk/gtk.override (_wrap_gtk_recent_chooser_dialog_new): Note as
	new-constructor.
	(_wrap_gtk_size_group_get_widgets): Add.

2006-06-10  John Finlay  <finlay@moeraki.com>

	* gtk/gtk-2.10.defs (gtk_recent_chooser_menu_new_for_manager)
	(recent_chooser_widget_new_for_manager): Use new object constructor.

2006-06-11  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* configure.in: Check for the X11 GDK target.

	* gtk/gdk.override: Don't ignore gdk_x11_* any more.

	* gtk/gdk-2.10.defs: Add x11 specific functions, scanned from
	gdkx.h, corrected (function->method), and made conditionally
	compile only on the X11 GDK target.

	* gtk/gdk-base.defs: Removed x11 specific functions added by johan
	after 2.8 (re-added in gdk-2.10.defs).

2006-06-10  John Finlay  <finlay@moeraki.com>

	* gtk/gtk-2.10.defs (gtk_recent_chooser_menu_new_for_manager)
	(recent_chooser_widget_new_for_manager): : Set
	as constructor and allow manager param to default to None.

	* gtk/gtk.override (_wrap_gtk_recent_chooser_dialog_new)
	(_wrap_gtk_recent_info_get_application_info)
	(_wrap_gtk_recent_info_get_groups)
	(_wrap_gtk_recent_info_get_applications)
	(_wrap_gtk_recent_chooser_set_sort_func)
	(_wrap_gtk_recent_chooser_list_filters): Add.
	(gtk_print_error_quark, gtk_recent_chooser_error_quark)
	(gtk_recent_chooser_dialog_new_for_manager)
	(gtk_recent_chooser_menu_new)
	(gtk_recent_chooser_widget_new, gtk_recent_manager_error_quark): Ignore

2006-06-09  John Finlay  <finlay@moeraki.com>

	* gtk/gtk.override (_wrap_gtk_recent_chooser_get_items)
	(_wrap_gtk_recent_chooser_get_uris): Add.

	* gtk/gtkiconview.override (_wrap_gtk_icon_view_selected_foreach):
	Fix leaks.

	* gtk/gtktextview.override (_wrap_gtk_text_tag_table_foreach):
	Fix leaks.

	* gtk/gtk.override (_wrap_gtk_print_settings_foreach)
	(_wrap_gtk_print_settings_set_page_ranges)
	(_wrap_gtk_print_settings_get_page_ranges): Add.

	* gtk/gtk-2.10.defs (gtk_button_set_image_position)
	(gtk_button_get_image_position, gtk_print_context_set_cairo_context)
	(gtk_print_operation_set_track_print_status)
	(gtk_print_operation_set_show_progress)
	(gtk_print_operation_set_allow_async)
	(gtk_print_operation_set_custom_tab_label)
	(gtk_print_operation_get_error, gtk_print_operation_cancel
	(gtk_status_icon_get_geometry): Add.
	(gtk_print_operation_set_default_page_setup)
	(gtk_print_operation_set_print_settings): Allow default NULL arg.

	* gtk/gtk-2.10-types.defs: Add PrintOperationPreview, RecentFilter,
	RecentInfo. Sync enums.

2006-06-08  Frederic Peters  <fpeters@0d.be>

	* configure.in, gtk/gtkunixprint.override: Updated pycairo dependencies
	from 0.5.0 to 1.1.7 since PycairoSurface_FromSurface signature changed.

	* gtk/gtk-2.10-types.defs, gtk/gtk-2.10.defs: Updated to new GTK+
	Printing API changes.

2006-06-06  John Finlay  <finlay@moeraki.com>

	* gtk/gtkunixprintmodule.c (initunixprint):
	Add pygtkunixprint_add_constants() call.

	* gtk/gtkunixprint.defs:
	* gtk/gtkunixprint.override: Add files for unixprint module.

	* gtk/Makefile.am: Add support for gtk.unixprint module.

	* configure.in: Add support for gtk.unixprint module.

2006-06-06  Johan Dahlin  <johan@gnome.org>

	* gtk/gtk-base.defs (set_mnemonic_widget): Allow widget to be null

2006-06-05  John Finlay  <finlay@moeraki.com>

	* gtk/gtk-2.10.defs (paper_size_new): Allow name to default to None.

	* gtk/gtkmodule.c (pygtk_add_extra_constants): Add GTK_PAPER_NAME
	constants.

2006-06-04  John Finlay  <finlay@moeraki.com>

	* gtk/gtk.override (gtk_paper_size_free): Ignore

	* gtk/gtk-2.10.defs (gtk_message_dialog_set_image): Add.

	* gtk/gtk.override (_wrap_gtk_link_button_set_uri_hook): Add.

	* gtk/gtk-2.10.defs (input_shape_combine_mask): Allow shape_mask
	to be None.
	(gtk_link_button_new_with_label): Set as constructor for GtkLinkButton.
	Allow label param to default to None.

2006-06-04  Johan Dahlin  <johan@gnome.org>

	* pango.override (_wrap_pango_tab_array_get_tabs): Fix two
	leaks found by coverity.

2006-06-04  John Finlay  <finlay@moeraki.com>

	* gtk/gtk-2.10.defs (drag_dest_set_track_motion)
	(drag_dest_get_track_motion): Change to methods of GtkWidget.

	* gtk/gtk.override (_wrap_gtk_clipboard_wait_for_rich_text)
	(_wrap_gtk_clipboard_request_rich_text): Add.

	* codegen/argtypes.py (AtomArg.write_return): Fix leak in GdkAtom
	return.

2006-06-03  John Finlay  <finlay@moeraki.com>

	* gtk/gtk-2.10.defs (gtk_assistant_set_page_header_image)
	(gtk_assistant_set_page_side_image): Allow
	pixbuf param to be None and optional.
	(gtk_entry_set_inner_border): Allow border param to be None.

2006-06-01  John Finlay  <finlay@moeraki.com>

	* gtk/gtk.override (_wrap_gtk_assistant_set_forward_page_func): Add.

	* gtk/gdkevent.override (_wrap_gdk_event_tp_getattr): Output
	"selection" as a gdk.OWNER_CHANGE member.

2006-06-01  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* gtk/gtk-2.10.defs: gtk_print_context_create_context renamed to
	gtk_print_context_create_pango_context;
	gtk_print_context_create_layout renamed to
	gtk_print_context_create_pango_layout;
	gtk_print_context_get_fontmap renamed to
	gtk_print_context_get_pango_fontmap; gtk_print_context_get_cairo
	renamed to gtk_print_context_get_cairo_context.

	* gtk/gtk.override
	(_wrap_GtkCellLayout__proxy_do_set_cell_data_func):
	s/Py_DECREF(py_ret)/Py_XDECREF(py_ret)/, thanks Paolo Borelli.

2006-05-31  John Finlay  <finlay@moeraki.com>

	* gtk/gdkdraw.override (_wrap_gdk_draw_layout_line): Add,

	* gtk/gdkcairo.override (_wrap_gdk_cairo_set_source_pixmap)
	(_wrap_gdk_cairo_region, _wrap_gdk_cairo_rectangle): Add as methods.

	* gtk/gdk-base.defs (shape_combine_region): shape_region may be None.

	* gtk/gdk.override (gdk_region_destroy): Ignore.

2006-05-26  John Finlay  <finlay@moeraki.com>

	* gtk/gtk-base.defs (set_cursor): Allow IconView.set_cursor method
	params 'cell' and 'start_editing' to be optional.
	Fixes #343039 (Ross Burton)

2006-05-20  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/gtk.override (_wrap_GtkCellRenderer__do_get_size): Impl.
	Fixes #339431.

2006-05-20  John Finlay  <finlay@moeraki.com>

	* pangocairo.override (_wrap_context_set_font_options): Allow
	font_options param to be None.

2006-05-20  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* examples/pygtk-demo/demos/print_editor.py (begin_print):
	s/set_nr_of_pages/set_n_pages/ (gtk api change).

2006-05-18  John Finlay  <finlay@moeraki.com>

	* gtk/gtk.override (clipboard_request_contents_cb)
	(clipboard_clear_func, clipboard_get_func)
	(clipboard_request_targets_cb, clipboard_request_image_cb): Fix
	reference leaks (#342114).

2006-05-17  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* gtk/gtk.override (clipboard_request_text_cb): Fix reference
	leaks (#342114).

2006-05-14  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/gtkcontainer.override
	(_wrap_GtkContainer__proxy_do_set_child_property)
	(_wrap_GtkContainer__proxy_do_get_child_property)
	(_wrap_GtkContainer__do_set_child_property)
	(_wrap_GtkContainer__do_get_child_property): Impl.  Fixes #341641.

	* gtk/gtk.override (_wrap_GtkCellRenderer__proxy_do_get_size): Fix
	reference leak on 'self' and 'py_ret'.
	(_wrap_gtk_dialog_set_alternative_button_order): idem.

	* codegen/reversewrapper.py: Fix registration of StringReturn type
	handler; fixes #341634.

2006-05-14  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtk-2.10.defs: Updated to fix the build, because
	- gtk_print_operation_set_nr_of_pages() changed to gtk_print_operation_set_n_pages()
	- gtk_print_settings_get_num_copies() changed to gtk_print_settings_get_n_copies()
	- gtk_print_settings_set_num_copies() changed to gtk_print_settings_set_n_copies()
	- gtk_recent_manager_add_full() no longer has a GError* parameter.

2006-05-10  Johan Dahlin  <johan@gnome.org>

	* codegen/codegen.py: Refactor a big chunk into a class with methods.

	* Makefile.am:
	* gtk/Makefile.am: Use PYCAIRO_CFLAGS

	* configure.in: Make pycairo a required dependency, make sure
	the optional Gtk+ 2.10 dependency check work and only build
	pangocairo if pycairo found and libglade if gtk can be built

2006-05-08  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* examples/pygtk-demo/demos/print_editor.py,
	* examples/Makefile.am: Add Print Editor demo, originally found in
	gtk+ sources and translated to Python.

	* gtk/gtk-2.10.defs: gtk.print_run_page_setup_dialog second
	argument can be None/NULL.

2006-05-07  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/gtk.override (_wrap_add_log_handlers)
	(_wrap_remove_log_handlers): Try to use
	pyg_add_warning_redirection and pyg_disable_warning_redirections
	if available.

	* pangomodule.c (initpango): idem.

	* examples/gtk/testprint.py: Add a python print demonstration,
	based on testprint.c in gtk+ sources.  It is missing a print
	dialog, though...

	* examples/Makefile.am (EXTRA_DIST): add gtk/testprint.py.

	* gtk/gtk.override: Include pycairo.
	(_wrap_gtk_print_context_get_cairo): Override to make
	gtk.PrintContext return a gtk.gdk.CairoContext object instead of a
	cairo.Context one.

	* configure.in: pycairo dependency no longer optional.

	* gtk/gtk-2.10-types.defs (PrintContext): Missing gtk.PrintContext.

	* gtk/gtk-2.10.defs: Make 'parent' parameter of
	gtk_print_operation_run optional and None acceptable.

	* gtk/gtk-2.10-types.defs: Declare type gtk.PageSetup.
	(PrintSettings): idem for gtk.PrintSettings.
	(PaperSize): Add boxed gtk.PaperSize.

	* gtk/gdk.override (_wrap_gdk_bitmap_create_from_data)
	(_wrap_gdk_pixmap_create_from_data): Override to fix a compilation
	warning and add bounds check on the data parameter.

	* gtk/gdkcairo.override: Add explicit braces to keep gcc happy.

	* gtk/Makefile.am: Make sure the defs are regenerated when
	configure runs, due to possible changes in gtk+ 2.10 detection.
	(gtk.c): Make gtk.c depend on gdk-types.defs to force it to be
	generated early.
	(.defs.c): Remove the recursive make invocation, no longer needed.

	* gtk/Makefile.am (defs_DATA): Install gdk.defs, gtk.defs,
	gdk-types.defs, and gtk-types.defs.  Thanks Olav Vitters
	Fixes bug #340920.

2006-05-06  Johan Dahlin  <jdahlin@async.com.br>

	* codegen/createdefs.py:
	* configure.in:
	* gtk/Makefile.am:
	* gtk/gdk-2.10.defs:
	* gtk/gdk-base-types.defs:
	* gtk/gdk-base.defs:
	* gtk/gdk-types.defs:
	* gtk/gdk.defs:
	* gtk/gdk.override:
	* gtk/gtk-2.10-types.defs:
	* gtk/gtk-2.10.defs:
	* gtk/gtk-base-types.defs:
	* gtk/gtk-base.defs:
	* gtk/gtk-types.defs:
	* gtk/gtk.defs:

	Add conditional support for Gtk+ 2.10 add new api.

2006-05-06  Johan Dahlin  <jdahlin@async.com.br>

	* codegen/h2def.py (main): Add support for filtering out definies
	in existing files

	* gtk/gtk.override: Ignore a bunch of stuff

	* gtk/gtk.defs: Add deprecated, broken and unsupported API here,
	to make it easier to merge in the future

	* codegen/override.py (Overrides.__parse_override):
	* codegen/codegen.py (main):
	Add ignore-type statement in override

	* codegen/h2def.py: Refactor to use OOP, remove duplicated code

2006-05-01  John Ehresman <jpe@wingware.com>

	* gtk/gdk-types.defs:
	* gtk/gdk.defs:
	* gtk/gdk.override
	* gtk/gtk.defs:
	* gtk/pygtk-private.h:
	GdkRegion wrapper

2006-05-01  John Ehresman <jpe@wingware.com>

	* gtk/gtktreeview.override: Restore override for
	TreeView.get_visible_rect

2006-05-01  Yevgen Muntyan  <muntyan@tamu.edu>

	* codegen/reversewrapper.py (ReverseWrapper.generate): Missing ()
	in Py_BuildValue template string to force a tuple to be created
	even when number of retvals is one.  Reviewed by Gustavo.  Fixes
	Bug 340162 "Missing ()".

2006-04-26  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gdk.override (_wrap_gdk_event_handler_set):
	* gtk/gdk.defs (event_handler_set):
	Wrap gdk_event_handler_set

	* gtk/Makefile.am:
	* gtk/gdk.override:
	* gtk/gdkcairo.override:
	* gtk/gdkcolor.override:
	* gtk/gdkdraw.override:
	* gtk/gdkevent.override:
	* gtk/gdkgc.override:
	* gtk/gdkpixbuf.override:
	* gtk/gdkrectangle.override:
	* gtk/gdkwindow.override:
	* gtk/gtktoolbar.override:
	Split out a few more files

2006-04-23  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* codegen/codegen.py:
	* codegen/definitions.py:  Add support for (unblock-threads #t) in
	functions and methods, which enables the generation of
	pyg_(begin|end)_allow_threads around the C call.

	* codegen/argtypes.py (ObjectArg.write_return): Follow up on
	#169204 to add support for const-Object as return type.  This
	fixes a build problem in pygda.

2006-04-18  John Ehresman   <jpe@wingware.com>

	* setup.py: Remove support for building / installing gobject, pygtk.py,
	and dsextras.py

2006-04-16  Richard Hult  <richard@imendio.com>

	* gtk/gtkmodule.c:
	* gtk/gtk.override: Move locale.h include from gtkmodule.c here to
	fix the build.

2006-04-13  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkcontainer.override (pygtk_container_for_common):
	Set an exception and jump out (Coverity)

	* gtk/gtk.override (_wrap_gtk_stock_list_ids): Decref py_item
	after using it (Coverity)

2006-04-06  Johan Dahlin  <johan@gnome.org>

	* gtk/__init__.py (_init): Add log handlers here
	(threads_init): Deprecated gtk.threads_*, gtk.gdk.threads_* should
	be used instead, fixes #165927 (Steve Chaplin)

	* gtk/gtk.override (_wrap_remove_log_handlers): New function,
	makes it possible to remove the handlers pygtk installs.
	Fixes #323786

	* gtk/gtkmodule.c (init_gtk): Refactor, move init_check...
	(init_gtk): Move the log handlers to gtk.override

	* gtk/gtk.override (_wrap_gtk_init_check): ..to here

	* gtk/__init__.py: Refactor, call init_check() and print warning
	if DISPLAY is not set. Fixes #316877

2006-04-05  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtktreeview.override
	(_wrap_gtk_tree_sortable_set_default_sort_func): Allow callback
	to be set to None, found by Patrick O'Brien

	* tests/test_liststore.py (ListStoreTest.testSetDefaultSortFunc):
	Add test

2006-04-04  Johan Dahlin  <jdahlin@async.com.br>

	* configure.in: Post release version bump

=== 2.9.0 ===
2006-04-04  Johan Dahlin  <jdahlin@async.com.br>

	* NEWS: Update

2006-04-04  John Ehresman  <jpe@wingware.com>

    reviewed by: Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtktreeview.override:
	Make sure gtk.TreeView.cell_get_size() allows
	the usage of the in argument. Fixes #326357

2006-04-03  Johan Dahlin  <jdahlin@async.com.br>

	* codegen/codegen.py:
	Fit in 80 characters, do not use \

	* codegen/argtypes.py:
	* codegen/codegen.py:
	* codegen/definitions.py:
	* codegen/defsconvert.py:
	* codegen/defsparser.py:
	* codegen/docextract.py:
	* codegen/docextract_to_xml.py:
	* codegen/docgen.py:
	* codegen/h2def.py:
	* codegen/mkskel.py:
	* codegen/override.py:
	* codegen/reversewrapper.py:
	* examples/glade/autoconnect.py:
	* examples/gobject/editable-interface.py:
	* examples/gobject/signal.py:
	* examples/gtk/bin.py:
	* examples/gtk/filechooser.py:
	* examples/gtk/scrollable.py:
	* examples/gtk/sizegroup.py:
	* examples/gtk/uimanager.py:
	* examples/ide/edit.py:
	* examples/ide/gtkdb.py:
	* examples/ide/gtkprof.py:
	* examples/pango/pangocairo-simple.py:
	* examples/pango/utf8-demo.py:
	* examples/pygtk-demo/demos/changedisplay.py:
	* examples/pygtk-demo/demos/dnd.py:
	* examples/pygtk-demo/demos/dndpixmap.py:
	* examples/pygtk-demo/demos/entry_completion.py:
	* examples/pygtk-demo/demos/expander.py:
	* examples/pygtk-demo/demos/hypertext.py:
	* examples/pygtk-demo/demos/list_store.py:
	* examples/pygtk-demo/demos/textview.py:
	* examples/pygtk-demo/demos/tree_store.py:
	* examples/pygtk-demo/demos/treemodel.py:
	* examples/simple/dnd.py:
	* examples/simple/dndpixmap.py:
	* examples/simple/hello.py:
	* examples/simple/scribble.py:
	* examples/simple/simple.py:
	* examples/simple/tooltip.py:
	* gtk/__init__.py:
	* gtk/compat.py:
	* gtk/keysyms.py:
	* ltihooks.py:
	* setup.py:
	* tests/common.py:
	* tests/runtests.py:
	* tests/test_actiongroup.py:
	* tests/test_conversion.py:
	* tests/test_dialog.py:
	* tests/test_enum.py:
	* tests/test_gdkevent.py:
	* tests/test_liststore.py:
	* tests/test_radiobutton.py:
	* tests/test_style.py:
	* tests/testmodule.py:

	Run reindent.py on all python code.

2006-04-02  Johan Dahlin  <johan@gnome.org>

	* gtk/gdk.defs (rotate_simple): Add gdk.Pixbuf.rotate_simple,
	fixes #314164 (Karel Vervaeke)

	* examples/pygtk-demo/demos/treemodel.py:
	Check for null, so it can be used with a model filter,
	fixes #311459 (Stephen Kennedy)

	* examples/gtk/widget.py: Remove tabs fixes #325320
	(Dieter Verfaillie)

2006-04-02  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/gtk-types.c (PyGdkWindow_PropertyGet): Change property size
	limit from 9999 to G_MAXLONG.  Thanks Wander Boessenkool.
	Fixes #327778.

	* pango.override (_wrap_pango_layout_line_index_to_x): First
	keyword name should be index, not x_pos, as pointed out by John
	Finlay.  Fixes #316581.

	* gtk/gtk.defs: Mark gtk_tree_row_reference_free as deprecated.
	Fixes #309811.

	* gtk/gtkcontainer.override
	(_wrap_gtk_container_class_list_child_properties): Deprecate in
	favour of gtk.Container.list_child_properties.
	(_wrap_gtk_container_list_child_properties): Add
	gtk.Container.list_child_properties as classmethod.
	(_wrap_gtk_container_class_install_child_property): Deprecate in
	favour of gtk.Container.install_child_property.
	(_wrap_gtk_container_install_child_property): Add
	gtk.Container.install_child_property as clasmethod.  Fixes #308394.

	* gtk/gtktreeview.override: Remove gtk_tree_view_get_visible_rect
	duplicate override.

	* gtk/gtk.override: Make the "new-constructor
	GTK_TYPE_MESSAGE_DIALOG" declaration conditional on gtk+ >= 2.9,
	to match the contents of the constructor.

2006-04-02  Johan Dahlin  <johan@gnome.org>

	* gtk/gdk.override (_wrap_gdk_draw_indexed_image):
	wrap, Fixes #333431 (Hamish Moffatt)
	* tests/test_gdk.py (GdkTest.testDrawIndexedImage): Add test

	* gtk/gtk.defs (spin): Set default value of increment to
	1, fixes #325452 (Sebastian Rittau)

	* pango.override:
	* tests/Makefile.am:
	* tests/test_pango.py:

	Set default markup accel marker to \x00, add tests,
	Fixes #329658 (Johan Svedberg)

2006-04-02  Ben Caradoc-Davies  <ben@wintersun.org>

	reviewed by: Johan

	* examples/pygtk-demo/demos/pixbufs.py: Remove
	discontinuous motion, fixes #327931

2006-04-02  Johan Dahlin  <johan@gnome.org>


	* gtk/gtkmodule.c (init_gtk): GDK_PARENT_RELATIVE constant

	* gtk/gtk-types.c (pygtk_style_helper_setitem): Add support for
	GDK_PARENT_RELATIVE in style pixmaps.

	Fixes #320248 (Nikos Kouremenos)

2006-04-01  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* codegen/override.py (Overrides.__parse_override): Check and
	abort if a function is being overridden more than once.

2006-04-01  Rauli Ruohonen  <raulir@iki.fi>

	* codegen/codegen.py (Wrapper.write_functions): Add missing 'data'
	parameter when calling self.write_function.

	* pangocairo.override: Wrap pango_cairo_context_set_font_options
	and pango_cairo_context_get_font_options.  Fixes #328108.

	Reviewed by Gustavo Carneiro.

2006-04-01  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* codegen/codegen.py (Wrapper.write_virtuals): Use
	PyObject_GetAttrString, not PyDict_GetItemString, fixes #327715.

	* gtk/pygtk.h, gtk/gtkmodule.c: Export pygtk_tree_path_to_pyobject
	and pygtk_tree_path_from_pyobject as public APIs.  Fixes #318021.

	* codegen/argtypes.py: Add suppport for const object args.
	Patch by wollny@cbs.mpg.de, plus some additional changes for code
	style improvements and a bug fix.  Fixes #169204.

	* gtk/gtkmodule.c (_pygtk_log_func): Call g_log_default_handler
	when python isn't initialized.  Fixes #334188.

	* examples/Makefile.am (EXTRA_DIST): Ship new editable interface example.

	* examples/gobject/editable-interface.py: Add small example of
	overriding GtkEditable interface method and chaining to parent.

	* codegen/codegen.py: Bug 334986: "Make it possible to
	re-implement interfaces and chain to parent impl."

2006-04-01  Johan Dahlin  <johan@gnome.org>

	* codegen/h2def.py (proto_pat): Allow whitespace before
	last parenthesis. Fixes #317124

2006-04-01  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/gtk.defs (GtkSpinButton.input, GtkEditable.do_insert_text)
	(GtkEditable.get_selection_bounds,
	GtkMenuItem.toggle_size_request): Add (direction ...) specifiers
	to these virtuals.  Probably more of these are missing, though.

	* codegen/codegen.py,
	* codegen/definitions.py,
	* codegen/reversewrapper.py:
	Add support for int* and double* (and basic infrastructure to
	support other types in the future) parameters for "reverse
	wrappers".  To use this feature one needs to help the
	codegenerator by adding (direction "out") or (direction "inout") to
	the parameter definitions as appropriate.  Fixes #335964.

2006-04-01  John Finlay  <finlay@moerari.com>

	reviewed by: Johan

	* gtk/gdk.defs:
	* gtk/gtk.defs:
	* gtk/gtk.override:
	* gtk/gtktextview.override:
	* gtk/gtktreeview.override:
	* gtk/gtkwidget.override:
	Add missing bindings, fixes #316881

2006-04-01  Johan Dahlin  <johan@gnome.org>

	* gtk/gdk.defs: Remove display_open_default_libgtk_only,
	it should not be wrapped.
	Fixes #321476

2006-04-01  Marco Cabizza  <marco87@gmail.com>

	reviewed by: Johan

	* gtk/gdk.defs:
	add gdk_screen_get_rgba_colormap and gdk_screen_get_rgba_visual,
	Fixes 328996

2006-04-01  Johan Dahlin  <johan@gnome.org>

	* gtk/gtkmodule.c: (init_gtk):
	* pangomodule.c: (initpango):
	Set default encoding to utf-8 in pango instead of gtk.
	Fixes #328031

2006-04-01  Johan Dahlin  <johan@gnome.org>

	* Makefile.am:
	* configure.in:
	* dsextras.py:
	* gobject/Makefile.am:
	* gobject/gobjectmodule.c:
	* gobject/pygboxed.c:
	* gobject/pygenum.c:
	* gobject/pygflags.c:
	* gobject/pygiochannel.c:
	* gobject/pygmaincontext.c:
	* gobject/pygmainloop.c:
	* gobject/pygobject.c:
	* gobject/pygparamspec.c:
	* gobject/pygpointer.c:
	* gobject/pygsource.c:
	* gobject/pygtype.c:
	* gtk/Makefile.am:
	* pygtk.py:
	* tests/Makefile.am:
	Remove gobject and depend on pygobject 2.10.0

2006-04-01  Johan Dahlin  <jdahlin@async.com.br>

	* codegen/codegen.py: Mark function, methods and getsets as const.

2006-04-01  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/gtk.override (_wrap_gtk_message_dialog_new): Add missing
	"new-constructor GTK_TYPE_MESSAGE_DIALOG" codegen declaration.

	* codegen/codegen.py: Add support for docstrings in .defs.  To use
	it, add (docstring "foo bar") to class, function or method
	definitions.  Fixes bug #322843.

	* pangocairomodule.c (initpangocairo): Fix compiler warning.

	* m4/python.m4: Fix "underquoted definition of AM_CHECK_PYMOD" warning.

	* gtk/gtk.override (_wrap_gtk_message_dialog_new): On gtk+ 2.9,
	fix constructor to allow subclassing.  Fixes bug #312056.

2006-03-30  Johan Dahlin  <jdahlin@async.com.br>

	* configure.in: Post release version bump

=== PyGTK 2.8.5 ===
2006-03-30  Johan Dahlin  <jdahlin@async.com.br>

	* NEWS: Update.

2006-02-27  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* tests/test_dialog.py (MessageDialogTest.testDialogLeak): Add
	test for bug #332771.

	* tests/test_actiongroup.py (ActionGroupTest.timeout_cb): Use
	self.assertEqual instead of plain assert.

	* gtk/gtk.override (gtk_dialog_new_with_buttons): Remove one too
	many g_object_ref.  Fixes Bug 332771: "gtk.Dialog leak".

2006-02-20  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* gtk/gdkcairo.override: Don't raise an exception if pangocairo
	import fails, since in this case python itself had already raised
	another exception with more information.

2006-02-14  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtkclist.override (_wrap_gtk_clist_new_with_titles): Fix typos,
	found by Padraig Brady

2006-02-06  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/__init__.py (_is_pydoc): Do not print the deprecation warning
	if we're running under pydoc.

2006-01-26  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* examples/pygtk-demo/demos/pixbufs.py (PixbufsDemo.expose_cb):
	Remove the "FIXME: draw_rgb_image_dithalign seems not to be
	available" comment.

	* gtk/gdk.override (_wrap_gdk_draw_rgb_image): Add comment
	explaining why we always call gdk_draw_rgb_image_dithalign instead
	of gdk_draw_rgb_image.
	(_wrap_gdk_draw_gray_image): idem.

2006-01-21  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/gtk.defs (cell_view_new_with_text): Add
	caller-owns-return to fix a reference leak.
	(cell_view_new_with_markup): idem.
	(cell_view_new_with_pixbuf): idem.
	(combo_box_new_text): idem.
	(combo_box_entry_new_with_model): idem.
	(combo_box_entry_new_text): idem.
	(expander_new_with_mnemonic): idem.
	(file_chooser_button_new_with_backend): idem.
	(file_chooser_button_new_with_dialog): idem.
	(file_chooser_widget_new_with_backend): idem.
	(gtk_font_button_new_with_font): idem.
	(icon_set_new): idem.
	(gtk_icon_view_new_with_model): idem.
	(gtk_menu_tool_button_new_from_stock): idem.
	(toggle_tool_button_new_from_stock): idem.
	(tool_button_new_from_stock): idem.

	* gtk/gdk.defs (pixbuf_loader_new_with_mime_type): Add
	caller-owns-return to fix a reference leak.

2006-01-20  John Ehresman <jpe@wingware.com>

	* gtk/gdk.override (_wrap_gdk_window_new): Bump ref count
	on x11 so destroy() works as expected

	* tests/test_gdk.py: test for the above

2006-01-19  Johan Dahlin  <jdahlin@async.com.br>

	* examples/Makefile.am:
	Install examples

	* examples/gtk/widget.py:
	Call unrealize too

	* examples/gtk/scrollable.py:
	Add example of a scrollable widget

2006-01-15  Christopher Aillon  <caillon@redhat.com>

	* gobject/gobjectmodule.c (pyg_strv_to_gvalue):
	Don't call g_value_init since the other *_to_gvalue
	methods expect an already inited GValue

2006-01-11  Johan Dahlin  <jdahlin@async.com.br>

	* configure.in: Post release version bump

=== PyGTK 2.8.4 ===
2006-01-11  Johan Dahlin  <jdahlin@async.com.br>

	* NEWS: Update.

	* Makefile.am: Only install pygtk.pth if we're building gobject.

2006-01-10  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtk-types.defs (IconView): should implement gtk.CellLayout

2006-01-09  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* Makefile.am,
	* configure.in,
	* gtk/Makefile.am,
	* tests/Makefile.am: Fix pygobject check; Add external pygobject
	include dir to include path instead of the internal one if
	compiling with pygobject 2.9.

	* Makefile.am: Don't build or install gobject bindings if
	pygobject >= 2.9 was found.

	* configure.in: Check for pygobject 2.9; create an AM conditional
	based on it.

=== PyGTK 2.8.3 ===
2006-01-04  Cedric Gustin  <cedric.gustin@gmail.com>

	* dsextras.py (Template.generate): Pass GLOBAL_MACROS (in
	particular HAVE_PYCAIRO) to codegen DefsParser.
	* setup.py: If pangocairo is enabled, add pycairo to the list of
	packages required to build the GTK+ module. Also set HAVE_PYCAIRO.

2005-12-24  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gobject/pygflags.c (pyg_flags_add): Tolerate module == NULL,
	which may happen when called from pyg_flags_from_gtype if a
	wrapper for the GFlags was not registered.

2005-11-15  Johan Dahlin  <johan@gnome.org>

	* gobject/pygobject.c (pygobject_new_with_interfaces): We always
	need to free interfaces since its a null terminated array.

2005-11-13  Johan Dahlin  <johan@gnome.org>

	* gobject/gobjectmodule.c (pyg_type_register): Remove deprecation
	warning.

2005-11-13  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/gtk.defs (gtk_image_new_from_stock)
	(gtk_image_new_from_icon_set, image_new_from_animation)
	(gtk_image_new_from_icon_name)
	(gtk_radio_menu_item_new_from_widget)
	(gtk_radio_menu_item_new_with_mnemonic_from_widget)
	(gtk_radio_menu_item_new_with_label_from_widget): Add missing
	"(caller-owns-return #t)" -- fixes mem leaks.

2005-11-12  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/gdk.override (_wrap_gdk_pixbuf_animation_iter_advance):
	Missing g_object_unref(ret), since caller owns the return value.

2005-11-11  Johan Dahlin  <jdahlin@async.com.br>

	* examples/gtk/sizegroup.py: New example.

2005-11-09  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* gobject/pygobject.c (CHECK_GOBJECT): Use %p formatter instead of 0x%x.

	* gobject/pygobject-private.h (pyg_gil_state_ensure)
	(pyg_gil_state_release): Sync these macro definitions with the
	version in pygobject.h, i.e. don't call pygobject API
	replacements, call the Python API directly.

	* tests/Makefile.am (tests): Add test_glade.py.

	* tests/test_glade.py: Add this file which was missing from CVS.

	* gtk/gtk.defs (gtk_widget_render_icon): Add missing
	"(caller-owns-return #t)" to plug a leak.

2005-11-03  Manish Singh  <yosh@gimp.org>

	reviewed by: Johan Dahlin  <jdahlin@async.com.br>

	* gobject/gobjectmodule.c: (pyg_integer_richcompare):
	* gobject/pygenum.c: (pyg_enum_richcompare):
	* gobject/pygflags.c: (pyg_flags_richcompare):
	* gobject/pygobject-private.h:
	Prepare for Python 2.5 richcompare changes, fixes #320455.

2005-11-02  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/__init__.py: Remove '' from sys.path if it was added by
	PySys_SetArgv in init_gtk.

2005-10-15  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gtk/gtkobject-support.c (pygtk_custom_destroy_notify): Add
	g_return_if_fail to catch user_data == NULL.

	* gtk/gtktreeview.override (pygtk_set_search_equal_func_marshal):
	Add some NULL parameter checks.  Use PyObject_IsTrue instead of
	comparing agains PyTrue.

2005-10-14  Johan Dahlin  <jdahlin@async.com.br>

	* tests/Makefile.am (tests):
	* tests/test_gdk.py: Add test

	* gtk/gdk.defs (pixmap_create_from_data)
	(bitmap_create_from_data): use guchar* instead of gchar,
	fixes #318874 (Bob Gibbs)

2005-10-09  Johan Dahlin  <jdahlin@async.com.br>

	* configure.in: post release version bump

=== PyGTK 2.8.2 ===
2005-10-04  Johan Dahlin  <jdahlin@async.com.br>

	* NEWS: Update

2005-10-09  Johan Dahlin  <johan@gnome.org>

	* gobject/pygiochannel.c: (pyg_iowatch_marshal):
	Use GIL state instead of block/unblock. Fixes crasher found
	by Ole Andre Valda Ravnås.

2005-10-04  Johan Dahlin  <jdahlin@async.com.br>

	* configure.in: post release version bump

=== PyGTK 2.8.1 ===
2005-10-04  Johan Dahlin  <jdahlin@async.com.br>

	* NEWS: Update

2005-10-03  Johan Dahlin  <jdahlin@async.com.br>

	* gobject/pygobject.c: (PyGProps_length):
	* gtk/gdk.defs:
	* gtk/gdk.override:
	* gtk/gtk.defs:
	* gtk/gtk.override:
	Fix gcc 4.0 warnings.

2005-10-02  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* tests/test_properties.py (PropertyObject.__gproperties__)
	(PropertyObject.do_get_property, PropertyObject.do_set_property)
	(TestProperties.testUint64): Add guint64 property test case, by
	Johan Dahlin.

	* gobject/pygtype.c (pyg_value_from_pyobject): Accept conversion
	from PyInt (not just PyLong) to guint64.
	(_wrap_g_type_wrapper__get_children): Fix sign/unsigned warning.
	(_wrap_g_type_wrapper__get_interfaces): idem.
	(pyg_value_from_pyobject): idem.

2005-10-01  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* tests/test_subtype.py (TestSubType.testGObjectNewError): Add new
	test for the bug below.

	* gobject/gobjectmodule.c (pyg_object_new): don't unref/sink obj
	if it is NULL.

2005-09-29  Johan Dahlin  <jdahlin@async.com.br>

	* gobject/gobjectmodule.c: (pyg_type_name), (pyg_type_from_name),
	(pyg_type_parent), (pyg_type_is_a), (pyg_type_children),
	(pyg_type_interfaces): Undeprecate for now.

2005-09-28  Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>

	* tests/Makefile.am (tests): Add test_textview.py.

	* tests/test_textview.py: Test gtk.TextView.get_default_attributes().

	* gtk/gtktextview.override
	(_wrap_gtk_text_view_get_default_attributes): Override to
	workaround gtk bug #317455.

	* pangomodule.c (initpango): Fix values of pango.SCALE_X_LARGE and
	pango.SCALE_XX_LARGE.

2005-09-25  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* tests/Makefile.am (EXTRA_DIST): Add leak.glade.

	* tests/test_glade.py: Test case for the leak below.

	* gtk/libglade.override (connect_many): Fix a reference leak in 'tuple'.

2005-09-22  Johan Dahlin  <jdahlin@async.com.br>

	* gobject/gobjectmodule.c: (pyg_type_from_name):
	* gobject/pygobject.c: (pygobject_connect),
	(pygobject_connect_after), (pygobject_connect_object),
	(pygobject_connect_object_after), (pygobject_emit),
	(pygobject_stop_emission):
	Include the object and the name of the signal in TypeErrors

2005-09-20  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtk.defs (Entry.set_completion): Add null-ok

2005-09-16  John Ehresman  <jpe@wingware.com>

	* gtk/gdk.override (_wrap_gdk_event_tp_setattr): Allow subwindow
	to be set for enter & leave notify events.

2005-09-16  John Ehresman  <jpe@wingware.com>

	* gobjectmodule.c (initgobject): Add gobject.Warning Warning subclass
	and redirect all g_log messages for the "GLib", "Glib-GObject", and
	"GThread" domains to the python warning system

	* pangomodule.c (initpango): Add pango.Warning Warning subclass
	and redirect all g_log messages for the "Pango" domain to the
	python warning system

	* gtkmodule.c (initgtk): Move gtk Warning subclass from the gdk
	module to the gtk module and added redirections for g_log messages
	for the "Gdk" and "GdkPixbuf" domains to the python warning system

	* gtk/__init__.py: Set gdk.Warning = gtk.Warning for backward
	compatibility

2005-09-13  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gdk.defs:
	* gtk/gtk.defs:
	* gtk/gtk.override:
	* gtk/gtktextview.override:
	* gtk/gtktreeview.override:
	* gtk/gtkwidget.override:

	Revert Johns latest commit.

2005-09-13  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gobject/gobjectmodule.c (add_properties): Append extra
	information to the exception value strings to help contextualize
	any errors that occur while registering properties.

2005-09-06  John Finlay  <finlay@moeraki.com>

	* gtk/gdk.defs (set_urgency_hint): Add.

	* gtk/gtktreeview.override (_wrap_gtk_tree_view_get_visible_range):
	Add.

	* gtk/gtk.defs (set_drag_dest_item): Allow path to be None.
	(get_visible_range): Add.

2005-09-05  John Finlay  <finlay@moeraki.com>

	* gtk/gtk.defs (set_cursor): Allow cell to be None

	* gtk/gtkwidget.override (_wrap_gtk_drag_source_set_icon_name1): Add.

	* gtk/gtk.defs (gtk_drag_source_set_icon_name): Add as a widget method
	and deprecate function gtk.drag_source_set_icon_name.

	* gtk/gdk.defs (set_icon_name): Add.

	* gtk/gtktextview.override (_wrap_gtk_text_view_get_iter_at_position):
	Add.

	* gtk/gtk.override (_wrap_gtk_clipboard_request_image): Add.

	* gtk/gtk.defs (gtk_alternative_dialog_button_order)
	(gtk_clipboard_request_image, gtk_clipboard_wait_for_image)
	(gtk_clipboard_set_image, gtk_clipboard_wait_is_image_available)
	(drag_source_add_iamge_targets, drag_source_add_uri_targets):
	Add defs.

2005-09-02  Johan Dahlin  <jdahlin@async.com.br>

	* gobject/pygparamspec.c (pyg_param_spec_getattr): Sort all attributes
	alphabetically, like python does. Set default value to None
	(pyg_param_spec_getattr): Add default_values fallback, for backwards
	compatibility.

2005-09-02  Gustavo J. A. M. Carneiro  <gjc@gnome.org>

	* gobject/gobjectmodule.c (_wrap_pyg_type_register): Don't crash
	when registering non-types.

	* tests/test_subtype.py: Test registering non-types raises
	TypeError.

	Fixes #315100: "gobject.type_register crashes if parameter is not
	a type."

2005-09-02  Johan Dahlin  <jdahlin@async.com.br>

	* gobject/gobjectmodule.c: (pyg_signal_list_names):
	Also include interfaces, fixes #315038

2005-09-02  Johan Dahlin  <jdahlin@async.com.br>

	* configure.in: post release version bump

	* Changelog.pre-2-8: Move old changelog
